Bug 623257 - Cannot reboot anymore
Cannot reboot anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
: 623551 (view as bug list)
Depends On:
Blocks: F14Beta/F14BetaBlocker
  Show dependency treegraph
 
Reported: 2010-08-11 13:46 EDT by Nicolas Mailhot
Modified: 2010-08-23 21:27 EDT (History)
17 users (show)

See Also:
Fixed In Version: polkit-0.97-5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-11 13:46:55 EDT
Description of problem:

For some reason the reboot button has disappeared from the gnome menu and is no-oped in gdm
The only way to reboot now is to switch to a console and press ctrl+ald+del

Version-Release number of selected component (if applicable):
systemd-sysvinit-7-1.fc14.x86_64
systemd-units-7-1.fc14.x86_64
systemd-gtk-7-1.fc14.x86_64
systemd-7-1.fc14.x86_64
Comment 1 Bill Nottingham 2010-08-11 15:19:38 EDT
beta release criteria: "#  The desktop's offered mechanisms for shutting down, logging out and rebooting must work "
Comment 2 Michal Schmidt 2010-08-11 17:29:58 EDT
It started with polkit-0.97-1.fc14. Reverting to polkit-0.96-1.fc13 fixes it. Reassigning to polkit.
Comment 3 Tom London 2010-08-11 20:06:09 EDT
polkit-0.97-1 affected other things as well: I can no longer mount disks, thumb drives, etc., and I can no longer run VMs via virt-manager.

This is after I added myself to the 'desktop_admin_r' group......
Comment 4 David Zeuthen 2010-08-12 11:10:34 EDT
See https://admin.fedoraproject.org/updates/polkit-0.97-1.fc14 for why this is. It's basically a polkit-gnome problem so reassigning.
Comment 5 David Zeuthen 2010-08-12 14:40:14 EDT
*** Bug 623551 has been marked as a duplicate of this bug. ***
Comment 6 David Zeuthen 2010-08-12 14:41:37 EDT
Fixed in polkit-gnome-0.97-4.fc14 - remember to relogin/reboot as appropriate.
Comment 7 Nicolas Mailhot 2010-08-12 16:06:42 EDT
It does not seem fixed here, the gnome menu still only knows about close session, not reboot
Comment 8 Tom London 2010-08-12 16:27:19 EDT
polkit-gnome-0.97.4.fc15 did not fix this for me, at least as of a day or so ago. In fact, I noticed the problem when I updated to it.
Comment 9 David Zeuthen 2010-08-12 17:12:30 EDT
Did you guys relogin/reboot after applying the update? There's also a SELinux bug-fix needed (which is out of my control) so please make sure you verify the fix in SELinux permissive mode.

Anyway, if the problem still persist, please post output of running (in your login session)

 G_DBUS_DEBUG=all /usr/libexec/polkit-gnome-authentication-agent-1

along with 'rpm -q polkit polkit-gnome'.

You may need to kill the existing instance of polkit-gnome-authentication-agent-1 for this to work.
Comment 10 Tom London 2010-08-12 17:42:04 EDT
OK, I re-updated latest polkit stuff:

Aug 12 14:34:00 Updated: polkit-0.97-2.fc15.x86_64
Aug 12 14:34:03 Updated: polkit-gnome-0.97-4.fc15.x86_64
Aug 12 14:34:04 Updated: polkit-desktop-policy-0.97-2.fc15.noarch
Aug 12 14:34:05 Updated: polkit-gnome-debuginfo-0.97-4.fc15.x86_64
Aug 12 14:34:07 Updated: polkit-debuginfo-0.97-2.fc15.x86_64

and rebooted with 'enforcing=0'.

No Joy.  Still no 'shutdown' in menu, and no devices mounted.

Per request:

[root@tlondon ~]# rpm -qa polkit\*
polkit-desktop-policy-0.97-2.fc15.noarch
polkit-gnome-debuginfo-0.97-4.fc15.x86_64
polkit-0.97-2.fc15.x86_64
polkit-gnome-0.97-4.fc15.x86_64
polkit-debuginfo-0.97-2.fc15.x86_64
[root@tlondon ~]#

[tbl@tlondon ~]$ G_DBUS_DEBUG=all /usr/libexec/polkit-gnome-authentication-agent-1
GDBus-debug:Address: In g_dbus_address_get_for_bus_sync() for bus type `system'
GDBus-debug:Address: env var DBUS_SESSION_BUS_ADDRESS=`unix:abstract=/tmp/dbus-EBsNLFtrGF,guid=6bfb80a423492fc7111a117d0000003c'
GDBus-debug:Address: env var DBUS_SYSTEM_BUS_ADDRESS is not set
GDBus-debug:Address: env var DBUS_STARTER_BUS_TYPE is not set
GDBus-debug:Address: Returning address `unix:path=/var/run/dbus/system_bus_socket' for bus type `system'
GDBus-debug:Auth: CLIENT: initiating
GDBus-debug:Auth: CLIENT: sent credentials `GCredentials:linux-ucred:pid=2293,uid=500,gid=500'
GDBus-debug:Auth: CLIENT: writing `AUTH\r\n'
GDBus-debug:Auth: CLIENT: WaitingForReject
GDBus-debug:Auth: CLIENT: WaitingForReject, read 'REJECTED EXTERNAL DBUS_COOKIE_SHA1 ANONYMOUS'
GDBus-debug:Auth: CLIENT: Trying to choose mechanism
GDBus-debug:Auth: CLIENT: Trying mechanism `EXTERNAL'
GDBus-debug:Auth: CLIENT: writing `AUTH EXTERNAL 353030\r\n'
GDBus-debug:Auth: CLIENT: WaitingForOK
GDBus-debug:Auth: CLIENT: WaitingForOK, read `OK 611af9ec20e13d10f6c8bc0400000013'
GDBus-debug:Auth: CLIENT: writing `NEGOTIATE_UNIX_FD\r\n'
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD, read=`AGREE_UNIX_FD'
GDBus-debug:Auth: CLIENT: writing `BEGIN\r\n'
GDBus-debug:Auth: CLIENT: Done, authenticated=1
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.DBus.Hello()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (128 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  1
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'Hello'
    destination -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  00 00 00 00  01 00 00 00  6d 00 00 00    l...........m...
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 03 01 73 00  05 00 00 00  48 65 6c 6c  6f 00 00 00    ..s.....Hello...
  0040: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0050: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0060: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0070: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  1
  Headers:
    reply-serial -> uint32 1
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.90',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  01 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  01 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 39  30 00                       ....:1.90.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.DBus.Hello()
      SUCCESS
========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (170 bytes)
  Type:    signal
  Flags:   no-reply-expected
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'NameAcquired'
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.90',)
  UNIX File Descriptors:
    (none)
  0000: 6c 04 01 01  0a 00 00 00  02 00 00 00  8d 00 00 00    l...............
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 03 01 73 00  0c 00 00 00  4e 61 6d 65  41 63 71 75    ..s.....NameAcqu
  0060: 69 72 65 64  00 00 00 00  06 01 73 00  05 00 00 00    ired......s.....
  0070: 3a 31 2e 39  30 00 00 00  08 01 67 00  01 73 00 00    :1.90.....g..s..
  0080: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0090: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  00a0: 05 00 00 00  3a 31 2e 39  30 00                       ....:1.90.

========================================================================
GDBus-debug:Signal:
 <<<< RECEIVED SIGNAL org.freedesktop.DBus.NameAcquired
      on object /org/freedesktop/DBus
      sent by name org.freedesktop.DBus
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.StartServiceByName()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 5)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (358 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.DBus.Properties',member='PropertiesChanged',path='/org/freedesktop/PolicyKit1/Authority',arg0='org.freedesktop.PolicyKit1.Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  d6 00 00 00  02 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: d1 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 44 42 75  73 2e 50 72  6f 70 65 72  74 69 65 73    .DBus.Properties
  00f0: 27 2c 6d 65  6d 62 65 72  3d 27 50 72  6f 70 65 72    ',member='Proper
  0100: 74 69 65 73  43 68 61 6e  67 65 64 27  2c 70 61 74    tiesChanged',pat
  0110: 68 3d 27 2f  6f 72 67 2f  66 72 65 65  64 65 73 6b    h='/org/freedesk
  0120: 74 6f 70 2f  50 6f 6c 69  63 79 4b 69  74 31 2f 41    top/PolicyKit1/A
  0130: 75 74 68 6f  72 69 74 79  27 2c 61 72  67 30 3d 27    uthority',arg0='
  0140: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0150: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  0160: 72 69 74 79  27 00                                    rity'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (292 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  3
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.PolicyKit1.Authority',path='/org/freedesktop/PolicyKit1/Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  94 00 00 00  03 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 8f 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 50 6f 6c  69 63 79 4b  69 74 31 2e  41 75 74 68    .PolicyKit1.Auth
  00f0: 6f 72 69 74  79 27 2c 70  61 74 68 3d  27 2f 6f 72    ority',path='/or
  0100: 67 2f 66 72  65 65 64 65  73 6b 74 6f  70 2f 50 6f    g/freedesktop/Po
  0110: 6c 69 63 79  4b 69 74 31  2f 41 75 74  68 6f 72 69    licyKit1/Authori
  0120: 74 79 27 00                                           ty'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (314 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  4
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',path='/org/freedesktop/DBus',arg0='org.freedesktop.PolicyKit1'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  aa 00 00 00  04 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: a5 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 44 42  75 73 27 2c    eedesktop.DBus',
  00c0: 69 6e 74 65  72 66 61 63  65 3d 27 6f  72 67 2e 66    interface='org.f
  00d0: 72 65 65 64  65 73 6b 74  6f 70 2e 44  42 75 73 27    reedesktop.DBus'
  00e0: 2c 6d 65 6d  62 65 72 3d  27 4e 61 6d  65 4f 77 6e    ,member='NameOwn
  00f0: 65 72 43 68  61 6e 67 65  64 27 2c 70  61 74 68 3d    erChanged',path=
  0100: 27 2f 6f 72  67 2f 66 72  65 65 64 65  73 6b 74 6f    '/org/freedeskto
  0110: 70 2f 44 42  75 73 27 2c  61 72 67 30  3d 27 6f 72    p/DBus',arg0='or
  0120: 67 2e 66 72  65 65 64 65  73 6b 74 6f  70 2e 50 6f    g.freedesktop.Po
  0130: 6c 69 63 79  4b 69 74 31  27 00                       licyKit1'.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  3
  Headers:
    reply-serial -> uint32 2
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  03 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  02 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (188 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  5
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'StartServiceByName'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 'su'
  Body: ('org.freedesktop.PolicyKit1', uint32 0)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  24 00 00 00  05 00 00 00  85 00 00 00    l...$...........
  0010: 08 01 67 00  02 73 75 00  01 01 6f 00  15 00 00 00    ..g..su...o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  12 00 00 00    /DBus.....s.....
  0040: 53 74 61 72  74 53 65 72  76 69 63 65  42 79 4e 61    StartServiceByNa
  0050: 6d 65 00 00  00 00 00 00  02 01 73 00  14 00 00 00    me........s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  00 00 00 00  06 01 73 00  14 00 00 00    DBus......s.....
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 44 42 75 73  00 00 00 00  1a 00 00 00  6f 72 67 2e    DBus........org.
  00a0: 66 72 65 65  64 65 73 6b  74 6f 70 2e  50 6f 6c 69    freedesktop.Poli
  00b0: 63 79 4b 69  74 31 00 00  00 00 00 00                 cyKit1......

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  4
  Headers:
    reply-serial -> uint32 3
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  04 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  03 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  5
  Headers:
    reply-serial -> uint32 4
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  05 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  04 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (84 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  6
  Headers:
    reply-serial -> uint32 5
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 'u'
  Body: (uint32 2,)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  04 00 00 00  06 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  05 00 00 00  08 01 67 00  01 75 00 00    ..u.......g..u..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 02 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.StartServiceByName() (serial 5)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.GetNameOwner()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 6)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (175 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  6
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'GetNameOwner'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  1f 00 00 00  06 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  0c 00 00 00    /DBus.....s.....
  0040: 47 65 74 4e  61 6d 65 4f  77 6e 65 72  00 00 00 00    GetNameOwner....
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 1a 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    ....org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 00       top.PolicyKit1.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  7
  Headers:
    reply-serial -> uint32 6
    destination -> ':1.90'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.20',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  07 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  06 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 32  30 00                       ....:1.20.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.GetNameOwner() (serial 6)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.Properties.GetAll()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.20 (serial 7)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (185 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  7
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.DBus.Properties'
    member -> 'GetAll'
    destination -> ':1.20'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1.Authority',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  29 00 00 00  07 00 00 00  7e 00 00 00    l...).......~...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  25 00 00 00    ..g..s....o.%...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 50 6f 6c  69 63 79 4b  69 74 31 2f  41 75 74 68    /PolicyKit1/Auth
  0040: 6f 72 69 74  79 00 00 00  03 01 73 00  06 00 00 00    ority.....s.....
  0050: 47 65 74 41  6c 6c 00 00  02 01 73 00  1f 00 00 00    GetAll....s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  2e 50 72 6f  70 65 72 74  69 65 73 00    DBus.Properties.
  0080: 06 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...
  0090: 24 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    $...org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 2e 41    top.PolicyKit1.A
  00b0: 75 74 68 6f  72 69 74 79  00                          uthority.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (180 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  288
  Headers:
    reply-serial -> uint32 7
    destination -> ':1.90'
    sender -> ':1.20'
    signature -> signature 'a{sv}'
  Body: ({'BackendName': <'local'>, 'BackendVersion': <'0.97'>, 'BackendFeatures': <uint32 1>},)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  6c 00 00 00  20 01 00 00  36 00 00 00    l...l... ...6...
  0010: 08 01 67 00  05 61 7b 73  76 7d 00 00  00 00 00 00    ..g..a{sv}......
  0020: 05 01 75 00  07 00 00 00  06 01 73 00  05 00 00 00    ..u.......s.....
  0030: 3a 31 2e 39  30 00 00 00  07 01 73 00  05 00 00 00    :1.90.....s.....
  0040: 3a 31 2e 32  30 00 00 00  64 00 00 00  00 00 00 00    :1.20...d.......
  0050: 0b 00 00 00  42 61 63 6b  65 6e 64 4e  61 6d 65 00    ....BackendName.
  0060: 01 73 00 00  05 00 00 00  6c 6f 63 61  6c 00 00 00    .s......local...
  0070: 0e 00 00 00  42 61 63 6b  65 6e 64 56  65 72 73 69    ....BackendVersi
  0080: 6f 6e 00 01  73 00 00 00  04 00 00 00  30 2e 39 37    on..s.......0.97
  0090: 00 00 00 00  00 00 00 00  0f 00 00 00  42 61 63 6b    ............Back
  00a0: 65 6e 64 46  65 61 74 75  72 65 73 00  01 75 00 00    endFeatures..u..
  00b0: 01 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.Properties.GetAll() (serial 7)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      on object /org/freedesktop/ConsoleKit/Manager
      owned by name org.freedesktop.ConsoleKit
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (204 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  8
  Headers:
    path -> objectpath '/org/freedesktop/ConsoleKit/Manager'
    interface -> 'org.freedesktop.ConsoleKit.Manager'
    member -> 'GetSessionForUnixProcess'
    destination -> 'org.freedesktop.ConsoleKit'
    signature -> signature 'u'
  Body: (uint32 2293,)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  04 00 00 00  08 00 00 00  b3 00 00 00    l...............
  0010: 08 01 67 00  01 75 00 00  01 01 6f 00  23 00 00 00    ..g..u....o.#...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  4d 61 6e 61    /ConsoleKit/Mana
  0040: 67 65 72 00  00 00 00 00  03 01 73 00  18 00 00 00    ger.......s.....
  0050: 47 65 74 53  65 73 73 69  6f 6e 46 6f  72 55 6e 69    GetSessionForUni
  0060: 78 50 72 6f  63 65 73 73  00 00 00 00  00 00 00 00    xProcess........
  0070: 02 01 73 00  22 00 00 00  6f 72 67 2e  66 72 65 65    ..s."...org.free
  0080: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  0090: 69 74 2e 4d  61 6e 61 67  65 72 00 00  00 00 00 00    it.Manager......
  00a0: 06 01 73 00  1a 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  00b0: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  00c0: 69 74 00 00  00 00 00 00  f5 08 00 00                 it..........

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (105 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  488
  Headers:
    reply-serial -> uint32 8
    destination -> ':1.90'
    sender -> ':1.41'
    signature -> signature 'o'
  Body: (objectpath '/org/freedesktop/ConsoleKit/Session2',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  29 00 00 00  e8 01 00 00  2e 00 00 00    l...)...........
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0020: 05 01 75 00  08 00 00 00  08 01 67 00  01 6f 00 00    ..u.......g..o..
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 34  31 00 00 00    ..s.....:1.41...
  0040: 24 00 00 00  2f 6f 72 67  2f 66 72 65  65 64 65 73    $.../org/freedes
  0050: 6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f    ktop/ConsoleKit/
  0060: 53 65 73 73  69 6f 6e 32  00                          Session2.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.20 (serial 9)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (334 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  9
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'RegisterAuthenticationAgent'
    destination -> ':1.20'
    signature -> signature '(sa{sv})ss'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}), 'en_US.utf8', '/org/gnome/PolicyKit1/AuthenticationAgent')
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  96 00 00 00  09 00 00 00  a6 00 00 00    l...............
  0010: 08 01 67 00  0a 28 73 61  7b 73 76 7d  29 73 73 00    ..g..(sa{sv})ss.
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  1b 00 00 00  52 65 67 69  73 74 65 72    ..s.....Register
  0060: 41 75 74 68  65 6e 74 69  63 61 74 69  6f 6e 41 67    AuthenticationAg
  0070: 65 6e 74 00  00 00 00 00  02 01 73 00  24 00 00 00    ent.......s.$...
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  00a0: 72 69 74 79  00 00 00 00  06 01 73 00  05 00 00 00    rity......s.....
  00b0: 3a 31 2e 32  30 00 00 00  0c 00 00 00  75 6e 69 78    :1.20.......unix
  00c0: 2d 73 65 73  73 69 6f 6e  00 00 00 00  3d 00 00 00    -session....=...
  00d0: 0a 00 00 00  73 65 73 73  69 6f 6e 2d  69 64 00 01    ....session-id..
  00e0: 73 00 00 00  24 00 00 00  2f 6f 72 67  2f 66 72 65    s...$.../org/fre
  00f0: 65 64 65 73  6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65    edesktop/Console
  0100: 4b 69 74 2f  53 65 73 73  69 6f 6e 32  00 00 00 00    Kit/Session2....
  0110: 0a 00 00 00  65 6e 5f 55  53 2e 75 74  66 38 00 00    ....en_US.utf8..
  0120: 29 00 00 00  2f 6f 72 67  2f 67 6e 6f  6d 65 2f 50    ).../org/gnome/P
  0130: 6f 6c 69 63  79 4b 69 74  31 2f 41 75  74 68 65 6e    olicyKit1/Authen
  0140: 74 69 63 61  74 69 6f 6e  41 67 65 6e  74 00          ticationAgent.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (167 bytes)
  Type:    error
  Flags:   no-reply-expected
  Version: 0
  Serial:  291
  Headers:
    error-name -> 'org.freedesktop.PolicyKit1.Error.Failed'
    reply-serial -> uint32 9
    destination -> ':1.90'
    sender -> ':1.20'
    signature -> signature 's'
  Body: ('An authentication agent already exists for session',)
  UNIX File Descriptors:
    (none)
  0000: 6c 03 01 01  37 00 00 00  23 01 00 00  5e 00 00 00    l...7...#...^...
  0010: 08 01 67 00  01 73 00 00  04 01 73 00  27 00 00 00    ..g..s....s.'...
  0020: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0030: 50 6f 6c 69  63 79 4b 69  74 31 2e 45  72 72 6f 72    PolicyKit1.Error
  0040: 2e 46 61 69  6c 65 64 00  05 01 75 00  09 00 00 00    .Failed...u.....
  0050: 06 01 73 00  05 00 00 00  3a 31 2e 39  30 00 00 00    ..s.....:1.90...
  0060: 07 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...
  0070: 32 00 00 00  41 6e 20 61  75 74 68 65  6e 74 69 63    2...An authentic
  0080: 61 74 69 6f  6e 20 61 67  65 6e 74 20  61 6c 72 65    ation agent alre
  0090: 61 64 79 20  65 78 69 73  74 73 20 66  6f 72 20 73    ady exists for s
  00a0: 65 73 73 69  6f 6e 00                                 ession.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent() (serial 9)
      SUCCESS

** (polkit-gnome-authentication-agent-1:2293): WARNING **: Unable to register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for session
Cannot register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for session
[tbl@tlondon ~]$
Comment 11 Tom London 2010-08-12 17:45:54 EDT
The above was obtained without killing off /usr/libexec/polkit-gnome-authentication-agent-1.

In fact, I appear to have 2 of them running:

[tbl@tlondon ~]$ ps agx | grep polkit
 1235 ?        Sl     0:00 /usr/libexec/polkit-1/polkitd
 1711 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
 1927 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
 2301 pts/0    S+     0:00 grep --color=auto polkit
[tbl@tlondon ~]$ 

This is what I get after killing both of them off and rerunning per request (it appears to hang):

[tbl@tlondon ~]$ G_DBUS_DEBUG=all /usr/libexec/polkit-gnome-authentication-agent-1
GDBus-debug:Address: In g_dbus_address_get_for_bus_sync() for bus type `system'
GDBus-debug:Address: env var DBUS_SESSION_BUS_ADDRESS=`unix:abstract=/tmp/dbus-EBsNLFtrGF,guid=6bfb80a423492fc7111a117d0000003c'
GDBus-debug:Address: env var DBUS_SYSTEM_BUS_ADDRESS is not set
GDBus-debug:Address: env var DBUS_STARTER_BUS_TYPE is not set
GDBus-debug:Address: Returning address `unix:path=/var/run/dbus/system_bus_socket' for bus type `system'
GDBus-debug:Auth: CLIENT: initiating
GDBus-debug:Auth: CLIENT: sent credentials `GCredentials:linux-ucred:pid=2327,uid=500,gid=500'
GDBus-debug:Auth: CLIENT: writing `AUTH\r\n'
GDBus-debug:Auth: CLIENT: WaitingForReject
GDBus-debug:Auth: CLIENT: WaitingForReject, read 'REJECTED EXTERNAL DBUS_COOKIE_SHA1 ANONYMOUS'
GDBus-debug:Auth: CLIENT: Trying to choose mechanism
GDBus-debug:Auth: CLIENT: Trying mechanism `EXTERNAL'
GDBus-debug:Auth: CLIENT: writing `AUTH EXTERNAL 353030\r\n'
GDBus-debug:Auth: CLIENT: WaitingForOK
GDBus-debug:Auth: CLIENT: WaitingForOK, read `OK 611af9ec20e13d10f6c8bc0400000013'
GDBus-debug:Auth: CLIENT: writing `NEGOTIATE_UNIX_FD\r\n'
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD, read=`AGREE_UNIX_FD'
GDBus-debug:Auth: CLIENT: writing `BEGIN\r\n'
GDBus-debug:Auth: CLIENT: Done, authenticated=1
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.DBus.Hello()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (128 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  1
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'Hello'
    destination -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  00 00 00 00  01 00 00 00  6d 00 00 00    l...........m...
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 03 01 73 00  05 00 00 00  48 65 6c 6c  6f 00 00 00    ..s.....Hello...
  0040: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0050: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0060: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0070: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  1
  Headers:
    reply-serial -> uint32 1
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.92',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  01 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  01 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 39  32 00                       ....:1.92.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.DBus.Hello()
      SUCCESS
========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (170 bytes)
  Type:    signal
  Flags:   no-reply-expected
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'NameAcquired'
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.92',)
  UNIX File Descriptors:
    (none)
  0000: 6c 04 01 01  0a 00 00 00  02 00 00 00  8d 00 00 00    l...............
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 03 01 73 00  0c 00 00 00  4e 61 6d 65  41 63 71 75    ..s.....NameAcqu
  0060: 69 72 65 64  00 00 00 00  06 01 73 00  05 00 00 00    ired......s.....
  0070: 3a 31 2e 39  32 00 00 00  08 01 67 00  01 73 00 00    :1.92.....g..s..
  0080: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0090: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  00a0: 05 00 00 00  3a 31 2e 39  32 00                       ....:1.92.

========================================================================
GDBus-debug:Signal:
 <<<< RECEIVED SIGNAL org.freedesktop.DBus.NameAcquired
      on object /org/freedesktop/DBus
      sent by name org.freedesktop.DBus
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.StartServiceByName()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 5)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (358 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.DBus.Properties',member='PropertiesChanged',path='/org/freedesktop/PolicyKit1/Authority',arg0='org.freedesktop.PolicyKit1.Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  d6 00 00 00  02 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: d1 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 44 42 75  73 2e 50 72  6f 70 65 72  74 69 65 73    .DBus.Properties
  00f0: 27 2c 6d 65  6d 62 65 72  3d 27 50 72  6f 70 65 72    ',member='Proper
  0100: 74 69 65 73  43 68 61 6e  67 65 64 27  2c 70 61 74    tiesChanged',pat
  0110: 68 3d 27 2f  6f 72 67 2f  66 72 65 65  64 65 73 6b    h='/org/freedesk
  0120: 74 6f 70 2f  50 6f 6c 69  63 79 4b 69  74 31 2f 41    top/PolicyKit1/A
  0130: 75 74 68 6f  72 69 74 79  27 2c 61 72  67 30 3d 27    uthority',arg0='
  0140: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0150: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  0160: 72 69 74 79  27 00                                    rity'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (292 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  3
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.PolicyKit1.Authority',path='/org/freedesktop/PolicyKit1/Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  94 00 00 00  03 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 8f 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 50 6f 6c  69 63 79 4b  69 74 31 2e  41 75 74 68    .PolicyKit1.Auth
  00f0: 6f 72 69 74  79 27 2c 70  61 74 68 3d  27 2f 6f 72    ority',path='/or
  0100: 67 2f 66 72  65 65 64 65  73 6b 74 6f  70 2f 50 6f    g/freedesktop/Po
  0110: 6c 69 63 79  4b 69 74 31  2f 41 75 74  68 6f 72 69    licyKit1/Authori
  0120: 74 79 27 00                                           ty'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (314 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  4
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',path='/org/freedesktop/DBus',arg0='org.freedesktop.PolicyKit1'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  aa 00 00 00  04 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: a5 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 44 42  75 73 27 2c    eedesktop.DBus',
  00c0: 69 6e 74 65  72 66 61 63  65 3d 27 6f  72 67 2e 66    interface='org.f
  00d0: 72 65 65 64  65 73 6b 74  6f 70 2e 44  42 75 73 27    reedesktop.DBus'
  00e0: 2c 6d 65 6d  62 65 72 3d  27 4e 61 6d  65 4f 77 6e    ,member='NameOwn
  00f0: 65 72 43 68  61 6e 67 65  64 27 2c 70  61 74 68 3d    erChanged',path=
  0100: 27 2f 6f 72  67 2f 66 72  65 65 64 65  73 6b 74 6f    '/org/freedeskto
  0110: 70 2f 44 42  75 73 27 2c  61 72 67 30  3d 27 6f 72    p/DBus',arg0='or
  0120: 67 2e 66 72  65 65 64 65  73 6b 74 6f  70 2e 50 6f    g.freedesktop.Po
  0130: 6c 69 63 79  4b 69 74 31  27 00                       licyKit1'.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  3
  Headers:
    reply-serial -> uint32 2
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  03 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  02 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (188 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  5
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'StartServiceByName'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 'su'
  Body: ('org.freedesktop.PolicyKit1', uint32 0)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  24 00 00 00  05 00 00 00  85 00 00 00    l...$...........
  0010: 08 01 67 00  02 73 75 00  01 01 6f 00  15 00 00 00    ..g..su...o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  12 00 00 00    /DBus.....s.....
  0040: 53 74 61 72  74 53 65 72  76 69 63 65  42 79 4e 61    StartServiceByNa
  0050: 6d 65 00 00  00 00 00 00  02 01 73 00  14 00 00 00    me........s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  00 00 00 00  06 01 73 00  14 00 00 00    DBus......s.....
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 44 42 75 73  00 00 00 00  1a 00 00 00  6f 72 67 2e    DBus........org.
  00a0: 66 72 65 65  64 65 73 6b  74 6f 70 2e  50 6f 6c 69    freedesktop.Poli
  00b0: 63 79 4b 69  74 31 00 00  00 00 00 00                 cyKit1......

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  4
  Headers:
    reply-serial -> uint32 3
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  04 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  03 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  5
  Headers:
    reply-serial -> uint32 4
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  05 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  04 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (84 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  6
  Headers:
    reply-serial -> uint32 5
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 'u'
  Body: (uint32 2,)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  04 00 00 00  06 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  05 00 00 00  08 01 67 00  01 75 00 00    ..u.......g..u..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 02 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.StartServiceByName() (serial 5)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.GetNameOwner()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 6)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (175 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  6
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'GetNameOwner'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  1f 00 00 00  06 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  0c 00 00 00    /DBus.....s.....
  0040: 47 65 74 4e  61 6d 65 4f  77 6e 65 72  00 00 00 00    GetNameOwner....
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 1a 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    ....org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 00       top.PolicyKit1.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  7
  Headers:
    reply-serial -> uint32 6
    destination -> ':1.92'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.20',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  07 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  06 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 32  30 00                       ....:1.20.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.GetNameOwner() (serial 6)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.Properties.GetAll()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.20 (serial 7)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (185 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  7
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.DBus.Properties'
    member -> 'GetAll'
    destination -> ':1.20'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1.Authority',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  29 00 00 00  07 00 00 00  7e 00 00 00    l...).......~...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  25 00 00 00    ..g..s....o.%...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 50 6f 6c  69 63 79 4b  69 74 31 2f  41 75 74 68    /PolicyKit1/Auth
  0040: 6f 72 69 74  79 00 00 00  03 01 73 00  06 00 00 00    ority.....s.....
  0050: 47 65 74 41  6c 6c 00 00  02 01 73 00  1f 00 00 00    GetAll....s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  2e 50 72 6f  70 65 72 74  69 65 73 00    DBus.Properties.
  0080: 06 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...
  0090: 24 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    $...org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 2e 41    top.PolicyKit1.A
  00b0: 75 74 68 6f  72 69 74 79  00                          uthority.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (180 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  293
  Headers:
    reply-serial -> uint32 7
    destination -> ':1.92'
    sender -> ':1.20'
    signature -> signature 'a{sv}'
  Body: ({'BackendName': <'local'>, 'BackendVersion': <'0.97'>, 'BackendFeatures': <uint32 1>},)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  6c 00 00 00  25 01 00 00  36 00 00 00    l...l...%...6...
  0010: 08 01 67 00  05 61 7b 73  76 7d 00 00  00 00 00 00    ..g..a{sv}......
  0020: 05 01 75 00  07 00 00 00  06 01 73 00  05 00 00 00    ..u.......s.....
  0030: 3a 31 2e 39  32 00 00 00  07 01 73 00  05 00 00 00    :1.92.....s.....
  0040: 3a 31 2e 32  30 00 00 00  64 00 00 00  00 00 00 00    :1.20...d.......
  0050: 0b 00 00 00  42 61 63 6b  65 6e 64 4e  61 6d 65 00    ....BackendName.
  0060: 01 73 00 00  05 00 00 00  6c 6f 63 61  6c 00 00 00    .s......local...
  0070: 0e 00 00 00  42 61 63 6b  65 6e 64 56  65 72 73 69    ....BackendVersi
  0080: 6f 6e 00 01  73 00 00 00  04 00 00 00  30 2e 39 37    on..s.......0.97
  0090: 00 00 00 00  00 00 00 00  0f 00 00 00  42 61 63 6b    ............Back
  00a0: 65 6e 64 46  65 61 74 75  72 65 73 00  01 75 00 00    endFeatures..u..
  00b0: 01 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.Properties.GetAll() (serial 7)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      on object /org/freedesktop/ConsoleKit/Manager
      owned by name org.freedesktop.ConsoleKit
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (204 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  8
  Headers:
    path -> objectpath '/org/freedesktop/ConsoleKit/Manager'
    interface -> 'org.freedesktop.ConsoleKit.Manager'
    member -> 'GetSessionForUnixProcess'
    destination -> 'org.freedesktop.ConsoleKit'
    signature -> signature 'u'
  Body: (uint32 2327,)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  04 00 00 00  08 00 00 00  b3 00 00 00    l...............
  0010: 08 01 67 00  01 75 00 00  01 01 6f 00  23 00 00 00    ..g..u....o.#...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  4d 61 6e 61    /ConsoleKit/Mana
  0040: 67 65 72 00  00 00 00 00  03 01 73 00  18 00 00 00    ger.......s.....
  0050: 47 65 74 53  65 73 73 69  6f 6e 46 6f  72 55 6e 69    GetSessionForUni
  0060: 78 50 72 6f  63 65 73 73  00 00 00 00  00 00 00 00    xProcess........
  0070: 02 01 73 00  22 00 00 00  6f 72 67 2e  66 72 65 65    ..s."...org.free
  0080: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  0090: 69 74 2e 4d  61 6e 61 67  65 72 00 00  00 00 00 00    it.Manager......
  00a0: 06 01 73 00  1a 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  00b0: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  00c0: 69 74 00 00  00 00 00 00  17 09 00 00                 it..........

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (105 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  501
  Headers:
    reply-serial -> uint32 8
    destination -> ':1.92'
    sender -> ':1.41'
    signature -> signature 'o'
  Body: (objectpath '/org/freedesktop/ConsoleKit/Session2',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  29 00 00 00  f5 01 00 00  2e 00 00 00    l...)...........
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0020: 05 01 75 00  08 00 00 00  08 01 67 00  01 6f 00 00    ..u.......g..o..
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 34  31 00 00 00    ..s.....:1.41...
  0040: 24 00 00 00  2f 6f 72 67  2f 66 72 65  65 64 65 73    $.../org/freedes
  0050: 6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f    ktop/ConsoleKit/
  0060: 53 65 73 73  69 6f 6e 32  00                          Session2.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.20 (serial 9)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (334 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  9
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'RegisterAuthenticationAgent'
    destination -> ':1.20'
    signature -> signature '(sa{sv})ss'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}), 'en_US.utf8', '/org/gnome/PolicyKit1/AuthenticationAgent')
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  96 00 00 00  09 00 00 00  a6 00 00 00    l...............
  0010: 08 01 67 00  0a 28 73 61  7b 73 76 7d  29 73 73 00    ..g..(sa{sv})ss.
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  1b 00 00 00  52 65 67 69  73 74 65 72    ..s.....Register
  0060: 41 75 74 68  65 6e 74 69  63 61 74 69  6f 6e 41 67    AuthenticationAg
  0070: 65 6e 74 00  00 00 00 00  02 01 73 00  24 00 00 00    ent.......s.$...
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  00a0: 72 69 74 79  00 00 00 00  06 01 73 00  05 00 00 00    rity......s.....
  00b0: 3a 31 2e 32  30 00 00 00  0c 00 00 00  75 6e 69 78    :1.20.......unix
  00c0: 2d 73 65 73  73 69 6f 6e  00 00 00 00  3d 00 00 00    -session....=...
  00d0: 0a 00 00 00  73 65 73 73  69 6f 6e 2d  69 64 00 01    ....session-id..
  00e0: 73 00 00 00  24 00 00 00  2f 6f 72 67  2f 66 72 65    s...$.../org/fre
  00f0: 65 64 65 73  6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65    edesktop/Console
  0100: 4b 69 74 2f  53 65 73 73  69 6f 6e 32  00 00 00 00    Kit/Session2....
  0110: 0a 00 00 00  65 6e 5f 55  53 2e 75 74  66 38 00 00    ....en_US.utf8..
  0120: 29 00 00 00  2f 6f 72 67  2f 67 6e 6f  6d 65 2f 50    ).../org/gnome/P
  0130: 6f 6c 69 63  79 4b 69 74  31 2f 41 75  74 68 65 6e    olicyKit1/Authen
  0140: 74 69 63 61  74 69 6f 6e  41 67 65 6e  74 00          ticationAgent.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (64 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  297
  Headers:
    reply-serial -> uint32 9
    destination -> ':1.92'
    sender -> ':1.20'
    signature -> signature ''
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  29 01 00 00  2e 00 00 00    l.......).......
  0010: 08 01 67 00  00 00 00 00  05 01 75 00  09 00 00 00    ..g.......u.....
  0020: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent() (serial 9)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.EnumerateTemporaryAuthorizations()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.20 (serial 10)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (277 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  10
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'EnumerateTemporaryAuthorizations'
    destination -> ':1.20'
    signature -> signature '(sa{sv})'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}),)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  55 00 00 00  0a 00 00 00  ae 00 00 00    l...U...........
  0010: 08 01 67 00  08 28 73 61  7b 73 76 7d  29 00 00 00    ..g..(sa{sv})...
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  20 00 00 00  45 6e 75 6d  65 72 61 74    ..s. ...Enumerat
  0060: 65 54 65 6d  70 6f 72 61  72 79 41 75  74 68 6f 72    eTemporaryAuthor
  0070: 69 7a 61 74  69 6f 6e 73  00 00 00 00  00 00 00 00    izations........
  0080: 02 01 73 00  24 00 00 00  6f 72 67 2e  66 72 65 65    ..s.$...org.free
  0090: 64 65 73 6b  74 6f 70 2e  50 6f 6c 69  63 79 4b 69    desktop.PolicyKi
  00a0: 74 31 2e 41  75 74 68 6f  72 69 74 79  00 00 00 00    t1.Authority....
  00b0: 06 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...
  00c0: 0c 00 00 00  75 6e 69 78  2d 73 65 73  73 69 6f 6e    ....unix-session
  00d0: 00 00 00 00  3d 00 00 00  0a 00 00 00  73 65 73 73    ....=.......sess
  00e0: 69 6f 6e 2d  69 64 00 01  73 00 00 00  24 00 00 00    ion-id..s...$...
  00f0: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0100: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  53 65 73 73    /ConsoleKit/Sess
  0110: 69 6f 6e 32  00                                       ion2.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (88 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  300
  Headers:
    reply-serial -> uint32 10
    destination -> ':1.92'
    sender -> ':1.20'
    signature -> signature 'a(ss(sa{sv})tt)'
  Body: (@a(ss(sa{sv})tt) [],)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  08 00 00 00  2c 01 00 00  3e 00 00 00    l.......,...>...
  0010: 08 01 67 00  0f 61 28 73  73 28 73 61  7b 73 76 7d    ..g..a(ss(sa{sv}
  0020: 29 74 74 29  00 00 00 00  05 01 75 00  0a 00 00 00    )tt)......u.....
  0030: 06 01 73 00  05 00 00 00  3a 31 2e 39  32 00 00 00    ..s.....:1.92...
  0040: 07 01 73 00  05 00 00 00  3a 31 2e 32  30 00 00 00    ..s.....:1.20...
  0050: 00 00 00 00  00 00 00 00                              ........

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.EnumerateTemporaryAuthorizations() (serial 10)
      SUCCESS
Comment 12 Tom London 2010-08-12 18:09:31 EDT
BTW, in order to restore proper functioning, I had to revert "all" the polkit packages, not just polkit-gnome, and reboot.

[tbl@tlondon ~]$ rpm -qa polkit\*
polkit-debuginfo-0.96-1.fc13.x86_64
polkit-gnome-debuginfo-0.96-2.fc14.x86_64
polkit-gnome-0.96-2.fc14.x86_64
polkit-desktop-policy-0.96-1.fc13.noarch
polkit-0.96-1.fc13.x86_64
[tbl@tlondon ~]$
Comment 13 Matthias Clasen 2010-08-12 23:21:58 EDT
Can you try if https://admin.fedoraproject.org/updates/upower-0.9.5-5.fc14
fixes your problem ?
Comment 14 Tom London 2010-08-13 00:51:11 EDT
Well, if I understand correctly:

I "downgraded" upower from upower-0.9.5-5.fc15.x86_64.rpm to upower-0.9.5-5.fc14.x86_64.rpm, and then upgraded polkit packages to:

[root@tlondon ~]# rpm -qa polkit\*
polkit-debuginfo-0.97-2.fc15.x86_64
polkit-gnome-0.97-4.fc15.x86_64
polkit-0.97-2.fc15.x86_64
polkit-gnome-debuginfo-0.97-4.fc15.x86_64
polkit-desktop-policy-0.97-2.fc15.noarch
[root@tlondon ~]# 

And then rebooted with 'enforcing=0'.

Sorry, but same as before: no "shutdown" in System menu, no external devices (USB, Flash, etc.) recognized.
Comment 15 Nicolas Mailhot 2010-08-13 01:27:53 EDT
The problem is not fixed. Still no reboot in gui.

# getenforce
Permissive
# grep ^SELINUX= /etc/sysconfig/selinux
SELINUX=permissive
# uptime
 07:23:11 up 5 min,  3 users,  load average: 0.36, 1.01, 0.56
(rebooted twice)

polkit-0.97-1.fc14.x86_64
polkit-debuginfo-0.97-1.fc14.x86_64
polkit-desktop-policy-0.97-1.fc14.noarch
polkit-gnome-0.97-4.fc14.x86_64
selinux-policy-3.8.8-13.fc14.noarch
selinux-policy-targeted-3.8.8-13.fc14.noarch
systemd-7-3.fc14.x86_64
systemd-gtk-7-3.fc14.x86_64
systemd-sysvinit-7-3.fc14.x86_64
systemd-units-7-3.fc14.x86_64
upower-0.9.5-5.fc14.x86_64
Comment 16 Nicolas Mailhot 2010-08-13 01:29:54 EDT
$ LANG=C G_DBUS_DEBUG=all /usr/libexec/polkit-gnome-authentication-agent-1

Gtk-Message: Failed to load module "atk-bridge": libatk-bridge.so: cannot open shared object file: No such file or directory
GDBus-debug:Address: In g_dbus_address_get_for_bus_sync() for bus type `system'
GDBus-debug:Address: env var DBUS_SESSION_BUS_ADDRESS=`unix:abstract=/tmp/dbus-bSUvPbqCjh,guid=00b1a87dc8b122a6aec5f9370000005f'
GDBus-debug:Address: env var DBUS_SYSTEM_BUS_ADDRESS is not set
GDBus-debug:Address: env var DBUS_STARTER_BUS_TYPE is not set
GDBus-debug:Address: Returning address `unix:path=/var/run/dbus/system_bus_socket' for bus type `system'
GDBus-debug:Auth: CLIENT: initiating
GDBus-debug:Auth: CLIENT: sent credentials `GCredentials:linux-ucred:pid=2800,uid=500,gid=500'
GDBus-debug:Auth: CLIENT: writing `AUTH\r\n'
GDBus-debug:Auth: CLIENT: WaitingForReject
GDBus-debug:Auth: CLIENT: WaitingForReject, read 'REJECTED EXTERNAL DBUS_COOKIE_SHA1 ANONYMOUS'
GDBus-debug:Auth: CLIENT: Trying to choose mechanism
GDBus-debug:Auth: CLIENT: Trying mechanism `EXTERNAL'
GDBus-debug:Auth: CLIENT: writing `AUTH EXTERNAL 353030\r\n'
GDBus-debug:Auth: CLIENT: WaitingForOK
GDBus-debug:Auth: CLIENT: WaitingForOK, read `OK 81581e39a9f68635e4e4b33f00000027'
GDBus-debug:Auth: CLIENT: writing `NEGOTIATE_UNIX_FD\r\n'
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD, read=`AGREE_UNIX_FD'
GDBus-debug:Auth: CLIENT: writing `BEGIN\r\n'
GDBus-debug:Auth: CLIENT: Done, authenticated=1
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.DBus.Hello()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (128 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  1
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'Hello'
    destination -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  00 00 00 00  01 00 00 00  6d 00 00 00    l...........m...
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 03 01 73 00  05 00 00 00  48 65 6c 6c  6f 00 00 00    ..s.....Hello...
  0040: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0050: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0060: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0070: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  1
  Headers:
    reply-serial -> uint32 1
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.89',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  01 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  01 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 38  39 00                       ....:1.89.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.DBus.Hello()
      SUCCESS
========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (170 bytes)
  Type:    signal
  Flags:   no-reply-expected
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'NameAcquired'
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.89',)
  UNIX File Descriptors:
    (none)
  0000: 6c 04 01 01  0a 00 00 00  02 00 00 00  8d 00 00 00    l...............
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 03 01 73 00  0c 00 00 00  4e 61 6d 65  41 63 71 75    ..s.....NameAcqu
  0060: 69 72 65 64  00 00 00 00  06 01 73 00  05 00 00 00    ired......s.....
  0070: 3a 31 2e 38  39 00 00 00  08 01 67 00  01 73 00 00    :1.89.....g..s..
  0080: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0090: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  00a0: 05 00 00 00  3a 31 2e 38  39 00                       ....:1.89.

========================================================================
GDBus-debug:Signal:
 <<<< RECEIVED SIGNAL org.freedesktop.DBus.NameAcquired
      on object /org/freedesktop/DBus
      sent by name org.freedesktop.DBus
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.StartServiceByName()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 5)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (358 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.DBus.Properties',member='PropertiesChanged',path='/org/freedesktop/PolicyKit1/Authority',arg0='org.freedesktop.PolicyKit1.Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  d6 00 00 00  02 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: d1 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 44 42 75  73 2e 50 72  6f 70 65 72  74 69 65 73    .DBus.Properties
  00f0: 27 2c 6d 65  6d 62 65 72  3d 27 50 72  6f 70 65 72    ',member='Proper
  0100: 74 69 65 73  43 68 61 6e  67 65 64 27  2c 70 61 74    tiesChanged',pat
  0110: 68 3d 27 2f  6f 72 67 2f  66 72 65 65  64 65 73 6b    h='/org/freedesk
  0120: 74 6f 70 2f  50 6f 6c 69  63 79 4b 69  74 31 2f 41    top/PolicyKit1/A
  0130: 75 74 68 6f  72 69 74 79  27 2c 61 72  67 30 3d 27    uthority',arg0='
  0140: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0150: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  0160: 72 69 74 79  27 00                                    rity'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (292 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  3
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.PolicyKit1.Authority',path='/org/freedesktop/PolicyKit1/Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  94 00 00 00  03 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 8f 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 50 6f 6c  69 63 79 4b  69 74 31 2e  41 75 74 68    .PolicyKit1.Auth
  00f0: 6f 72 69 74  79 27 2c 70  61 74 68 3d  27 2f 6f 72    ority',path='/or
  0100: 67 2f 66 72  65 65 64 65  73 6b 74 6f  70 2f 50 6f    g/freedesktop/Po
  0110: 6c 69 63 79  4b 69 74 31  2f 41 75 74  68 6f 72 69    licyKit1/Authori
  0120: 74 79 27 00                                           ty'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (314 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  4
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',path='/org/freedesktop/DBus',arg0='org.freedesktop.PolicyKit1'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  aa 00 00 00  04 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: a5 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 44 42  75 73 27 2c    eedesktop.DBus',
  00c0: 69 6e 74 65  72 66 61 63  65 3d 27 6f  72 67 2e 66    interface='org.f
  00d0: 72 65 65 64  65 73 6b 74  6f 70 2e 44  42 75 73 27    reedesktop.DBus'
  00e0: 2c 6d 65 6d  62 65 72 3d  27 4e 61 6d  65 4f 77 6e    ,member='NameOwn
  00f0: 65 72 43 68  61 6e 67 65  64 27 2c 70  61 74 68 3d    erChanged',path=
  0100: 27 2f 6f 72  67 2f 66 72  65 65 64 65  73 6b 74 6f    '/org/freedeskto
  0110: 70 2f 44 42  75 73 27 2c  61 72 67 30  3d 27 6f 72    p/DBus',arg0='or
  0120: 67 2e 66 72  65 65 64 65  73 6b 74 6f  70 2e 50 6f    g.freedesktop.Po
  0130: 6c 69 63 79  4b 69 74 31  27 00                       licyKit1'.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  3
  Headers:
    reply-serial -> uint32 2
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  03 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  02 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (188 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  5
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'StartServiceByName'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 'su'
  Body: ('org.freedesktop.PolicyKit1', uint32 0)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  24 00 00 00  05 00 00 00  85 00 00 00    l...$...........
  0010: 08 01 67 00  02 73 75 00  01 01 6f 00  15 00 00 00    ..g..su...o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  12 00 00 00    /DBus.....s.....
  0040: 53 74 61 72  74 53 65 72  76 69 63 65  42 79 4e 61    StartServiceByNa
  0050: 6d 65 00 00  00 00 00 00  02 01 73 00  14 00 00 00    me........s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  00 00 00 00  06 01 73 00  14 00 00 00    DBus......s.....
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 44 42 75 73  00 00 00 00  1a 00 00 00  6f 72 67 2e    DBus........org.
  00a0: 66 72 65 65  64 65 73 6b  74 6f 70 2e  50 6f 6c 69    freedesktop.Poli
  00b0: 63 79 4b 69  74 31 00 00  00 00 00 00                 cyKit1......

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  4
  Headers:
    reply-serial -> uint32 3
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  04 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  03 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  5
  Headers:
    reply-serial -> uint32 4
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  05 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  04 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (84 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  6
  Headers:
    reply-serial -> uint32 5
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 'u'
  Body: (uint32 2,)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  04 00 00 00  06 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  05 00 00 00  08 01 67 00  01 75 00 00    ..u.......g..u..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 02 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.StartServiceByName() (serial 5)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.GetNameOwner()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 6)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (175 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  6
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'GetNameOwner'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  1f 00 00 00  06 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  0c 00 00 00    /DBus.....s.....
  0040: 47 65 74 4e  61 6d 65 4f  77 6e 65 72  00 00 00 00    GetNameOwner....
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 1a 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    ....org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 00       top.PolicyKit1.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  7
  Headers:
    reply-serial -> uint32 6
    destination -> ':1.89'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.12',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  07 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  06 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 31  32 00                       ....:1.12.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.GetNameOwner() (serial 6)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.Properties.GetAll()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.12 (serial 7)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (185 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  7
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.DBus.Properties'
    member -> 'GetAll'
    destination -> ':1.12'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1.Authority',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  29 00 00 00  07 00 00 00  7e 00 00 00    l...).......~...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  25 00 00 00    ..g..s....o.%...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 50 6f 6c  69 63 79 4b  69 74 31 2f  41 75 74 68    /PolicyKit1/Auth
  0040: 6f 72 69 74  79 00 00 00  03 01 73 00  06 00 00 00    ority.....s.....
  0050: 47 65 74 41  6c 6c 00 00  02 01 73 00  1f 00 00 00    GetAll....s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  2e 50 72 6f  70 65 72 74  69 65 73 00    DBus.Properties.
  0080: 06 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...
  0090: 24 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    $...org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 2e 41    top.PolicyKit1.A
  00b0: 75 74 68 6f  72 69 74 79  00                          uthority.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (180 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  304
  Headers:
    reply-serial -> uint32 7
    destination -> ':1.89'
    sender -> ':1.12'
    signature -> signature 'a{sv}'
  Body: ({'BackendName': <'local'>, 'BackendVersion': <'0.97'>, 'BackendFeatures': <uint32 1>},)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  6c 00 00 00  30 01 00 00  36 00 00 00    l...l...0...6...
  0010: 08 01 67 00  05 61 7b 73  76 7d 00 00  00 00 00 00    ..g..a{sv}......
  0020: 05 01 75 00  07 00 00 00  06 01 73 00  05 00 00 00    ..u.......s.....
  0030: 3a 31 2e 38  39 00 00 00  07 01 73 00  05 00 00 00    :1.89.....s.....
  0040: 3a 31 2e 31  32 00 00 00  64 00 00 00  00 00 00 00    :1.12...d.......
  0050: 0b 00 00 00  42 61 63 6b  65 6e 64 4e  61 6d 65 00    ....BackendName.
  0060: 01 73 00 00  05 00 00 00  6c 6f 63 61  6c 00 00 00    .s......local...
  0070: 0e 00 00 00  42 61 63 6b  65 6e 64 56  65 72 73 69    ....BackendVersi
  0080: 6f 6e 00 01  73 00 00 00  04 00 00 00  30 2e 39 37    on..s.......0.97
  0090: 00 00 00 00  00 00 00 00  0f 00 00 00  42 61 63 6b    ............Back
  00a0: 65 6e 64 46  65 61 74 75  72 65 73 00  01 75 00 00    endFeatures..u..
  00b0: 01 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.Properties.GetAll() (serial 7)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      on object /org/freedesktop/ConsoleKit/Manager
      owned by name org.freedesktop.ConsoleKit
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (204 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  8
  Headers:
    path -> objectpath '/org/freedesktop/ConsoleKit/Manager'
    interface -> 'org.freedesktop.ConsoleKit.Manager'
    member -> 'GetSessionForUnixProcess'
    destination -> 'org.freedesktop.ConsoleKit'
    signature -> signature 'u'
  Body: (uint32 2800,)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  04 00 00 00  08 00 00 00  b3 00 00 00    l...............
  0010: 08 01 67 00  01 75 00 00  01 01 6f 00  23 00 00 00    ..g..u....o.#...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  4d 61 6e 61    /ConsoleKit/Mana
  0040: 67 65 72 00  00 00 00 00  03 01 73 00  18 00 00 00    ger.......s.....
  0050: 47 65 74 53  65 73 73 69  6f 6e 46 6f  72 55 6e 69    GetSessionForUni
  0060: 78 50 72 6f  63 65 73 73  00 00 00 00  00 00 00 00    xProcess........
  0070: 02 01 73 00  22 00 00 00  6f 72 67 2e  66 72 65 65    ..s."...org.free
  0080: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  0090: 69 74 2e 4d  61 6e 61 67  65 72 00 00  00 00 00 00    it.Manager......
  00a0: 06 01 73 00  1a 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  00b0: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  00c0: 69 74 00 00  00 00 00 00  f0 0a 00 00                 it..........

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (105 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  474
  Headers:
    reply-serial -> uint32 8
    destination -> ':1.89'
    sender -> ':1.27'
    signature -> signature 'o'
  Body: (objectpath '/org/freedesktop/ConsoleKit/Session2',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  29 00 00 00  da 01 00 00  2e 00 00 00    l...)...........
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0020: 05 01 75 00  08 00 00 00  08 01 67 00  01 6f 00 00    ..u.......g..o..
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 32  37 00 00 00    ..s.....:1.27...
  0040: 24 00 00 00  2f 6f 72 67  2f 66 72 65  65 64 65 73    $.../org/freedes
  0050: 6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f    ktop/ConsoleKit/
  0060: 53 65 73 73  69 6f 6e 32  00                          Session2.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.12 (serial 9)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (326 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  9
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'RegisterAuthenticationAgent'
    destination -> ':1.12'
    signature -> signature '(sa{sv})ss'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}), 'C', '/org/gnome/PolicyKit1/AuthenticationAgent')
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  8e 00 00 00  09 00 00 00  a6 00 00 00    l...............
  0010: 08 01 67 00  0a 28 73 61  7b 73 76 7d  29 73 73 00    ..g..(sa{sv})ss.
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  1b 00 00 00  52 65 67 69  73 74 65 72    ..s.....Register
  0060: 41 75 74 68  65 6e 74 69  63 61 74 69  6f 6e 41 67    AuthenticationAg
  0070: 65 6e 74 00  00 00 00 00  02 01 73 00  24 00 00 00    ent.......s.$...
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  00a0: 72 69 74 79  00 00 00 00  06 01 73 00  05 00 00 00    rity......s.....
  00b0: 3a 31 2e 31  32 00 00 00  0c 00 00 00  75 6e 69 78    :1.12.......unix
  00c0: 2d 73 65 73  73 69 6f 6e  00 00 00 00  3d 00 00 00    -session....=...
  00d0: 0a 00 00 00  73 65 73 73  69 6f 6e 2d  69 64 00 01    ....session-id..
  00e0: 73 00 00 00  24 00 00 00  2f 6f 72 67  2f 66 72 65    s...$.../org/fre
  00f0: 65 64 65 73  6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65    edesktop/Console
  0100: 4b 69 74 2f  53 65 73 73  69 6f 6e 32  00 00 00 00    Kit/Session2....
  0110: 01 00 00 00  43 00 00 00  29 00 00 00  2f 6f 72 67    ....C...).../org
  0120: 2f 67 6e 6f  6d 65 2f 50  6f 6c 69 63  79 4b 69 74    /gnome/PolicyKit
  0130: 31 2f 41 75  74 68 65 6e  74 69 63 61  74 69 6f 6e    1/Authentication
  0140: 41 67 65 6e  74 00                                    Agent.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (167 bytes)
  Type:    error
  Flags:   no-reply-expected
  Version: 0
  Serial:  307
  Headers:
    error-name -> 'org.freedesktop.PolicyKit1.Error.Failed'
    reply-serial -> uint32 9
    destination -> ':1.89'
    sender -> ':1.12'
    signature -> signature 's'
  Body: ('An authentication agent already exists for session',)
  UNIX File Descriptors:
    (none)
  0000: 6c 03 01 01  37 00 00 00  33 01 00 00  5e 00 00 00    l...7...3...^...
  0010: 08 01 67 00  01 73 00 00  04 01 73 00  27 00 00 00    ..g..s....s.'...
  0020: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0030: 50 6f 6c 69  63 79 4b 69  74 31 2e 45  72 72 6f 72    PolicyKit1.Error
  0040: 2e 46 61 69  6c 65 64 00  05 01 75 00  09 00 00 00    .Failed...u.....
  0050: 06 01 73 00  05 00 00 00  3a 31 2e 38  39 00 00 00    ..s.....:1.89...
  0060: 07 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...
  0070: 32 00 00 00  41 6e 20 61  75 74 68 65  6e 74 69 63    2...An authentic
  0080: 61 74 69 6f  6e 20 61 67  65 6e 74 20  61 6c 72 65    ation agent alre
  0090: 61 64 79 20  65 78 69 73  74 73 20 66  6f 72 20 73    ady exists for s
  00a0: 65 73 73 69  6f 6e 00                                 ession.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent() (serial 9)
      SUCCESS

** (polkit-gnome-authentication-agent-1:2800): WARNING **: Unable to register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for session
Cannot register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for session
Comment 17 Nicolas Mailhot 2010-08-13 01:32:44 EDT
After killing the existing user auth agent (not the one belonging to gdm)

Gtk-Message: Failed to load module "atk-bridge": libatk-bridge.so: cannot open shared object file: No such file or directory
GDBus-debug:Address: In g_dbus_address_get_for_bus_sync() for bus type `system'
GDBus-debug:Address: env var DBUS_SESSION_BUS_ADDRESS=`unix:abstract=/tmp/dbus-bSUvPbqCjh,guid=00b1a87dc8b122a6aec5f9370000005f'
GDBus-debug:Address: env var DBUS_SYSTEM_BUS_ADDRESS is not set
GDBus-debug:Address: env var DBUS_STARTER_BUS_TYPE is not set
GDBus-debug:Address: Returning address `unix:path=/var/run/dbus/system_bus_socket' for bus type `system'
GDBus-debug:Auth: CLIENT: initiating
GDBus-debug:Auth: CLIENT: sent credentials `GCredentials:linux-ucred:pid=3038,uid=500,gid=500'
GDBus-debug:Auth: CLIENT: writing `AUTH\r\n'
GDBus-debug:Auth: CLIENT: WaitingForReject
GDBus-debug:Auth: CLIENT: WaitingForReject, read 'REJECTED EXTERNAL DBUS_COOKIE_SHA1 ANONYMOUS'
GDBus-debug:Auth: CLIENT: Trying to choose mechanism
GDBus-debug:Auth: CLIENT: Trying mechanism `EXTERNAL'
GDBus-debug:Auth: CLIENT: writing `AUTH EXTERNAL 353030\r\n'
GDBus-debug:Auth: CLIENT: WaitingForOK
GDBus-debug:Auth: CLIENT: WaitingForOK, read `OK 81581e39a9f68635e4e4b33f00000027'
GDBus-debug:Auth: CLIENT: writing `NEGOTIATE_UNIX_FD\r\n'
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD
GDBus-debug:Auth: CLIENT: WaitingForAgreeUnixFD, read=`AGREE_UNIX_FD'
GDBus-debug:Auth: CLIENT: writing `BEGIN\r\n'
GDBus-debug:Auth: CLIENT: Done, authenticated=1
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.DBus.Hello()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (128 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  1
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'Hello'
    destination -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  00 00 00 00  01 00 00 00  6d 00 00 00    l...........m...
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 03 01 73 00  05 00 00 00  48 65 6c 6c  6f 00 00 00    ..s.....Hello...
  0040: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0050: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0060: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0070: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  1
  Headers:
    reply-serial -> uint32 1
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.93',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  01 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  01 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 39  33 00                       ....:1.93.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.DBus.Hello()
      SUCCESS
========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (170 bytes)
  Type:    signal
  Flags:   no-reply-expected
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'NameAcquired'
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.93',)
  UNIX File Descriptors:
    (none)
  0000: 6c 04 01 01  0a 00 00 00  02 00 00 00  8d 00 00 00    l...............
  0010: 01 01 6f 00  15 00 00 00  2f 6f 72 67  2f 66 72 65    ..o...../org/fre
  0020: 65 64 65 73  6b 74 6f 70  2f 44 42 75  73 00 00 00    edesktop/DBus...
  0030: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 03 01 73 00  0c 00 00 00  4e 61 6d 65  41 63 71 75    ..s.....NameAcqu
  0060: 69 72 65 64  00 00 00 00  06 01 73 00  05 00 00 00    ired......s.....
  0070: 3a 31 2e 39  33 00 00 00  08 01 67 00  01 73 00 00    :1.93.....g..s..
  0080: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0090: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  00a0: 05 00 00 00  3a 31 2e 39  33 00                       ....:1.93.

========================================================================
GDBus-debug:Signal:
 <<<< RECEIVED SIGNAL org.freedesktop.DBus.NameAcquired
      on object /org/freedesktop/DBus
      sent by name org.freedesktop.DBus
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.StartServiceByName()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 5)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (358 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  2
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.DBus.Properties',member='PropertiesChanged',path='/org/freedesktop/PolicyKit1/Authority',arg0='org.freedesktop.PolicyKit1.Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  d6 00 00 00  02 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: d1 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 44 42 75  73 2e 50 72  6f 70 65 72  74 69 65 73    .DBus.Properties
  00f0: 27 2c 6d 65  6d 62 65 72  3d 27 50 72  6f 70 65 72    ',member='Proper
  0100: 74 69 65 73  43 68 61 6e  67 65 64 27  2c 70 61 74    tiesChanged',pat
  0110: 68 3d 27 2f  6f 72 67 2f  66 72 65 65  64 65 73 6b    h='/org/freedesk
  0120: 74 6f 70 2f  50 6f 6c 69  63 79 4b 69  74 31 2f 41    top/PolicyKit1/A
  0130: 75 74 68 6f  72 69 74 79  27 2c 61 72  67 30 3d 27    uthority',arg0='
  0140: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0150: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  0160: 72 69 74 79  27 00                                    rity'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (292 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  3
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.PolicyKit1',interface='org.freedesktop.PolicyKit1.Authority',path='/org/freedesktop/PolicyKit1/Authority'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  94 00 00 00  03 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 8f 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 50 6f  6c 69 63 79    eedesktop.Policy
  00c0: 4b 69 74 31  27 2c 69 6e  74 65 72 66  61 63 65 3d    Kit1',interface=
  00d0: 27 6f 72 67  2e 66 72 65  65 64 65 73  6b 74 6f 70    'org.freedesktop
  00e0: 2e 50 6f 6c  69 63 79 4b  69 74 31 2e  41 75 74 68    .PolicyKit1.Auth
  00f0: 6f 72 69 74  79 27 2c 70  61 74 68 3d  27 2f 6f 72    ority',path='/or
  0100: 67 2f 66 72  65 65 64 65  73 6b 74 6f  70 2f 50 6f    g/freedesktop/Po
  0110: 6c 69 63 79  4b 69 74 31  2f 41 75 74  68 6f 72 69    licyKit1/Authori
  0120: 74 79 27 00                                           ty'.

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (314 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  4
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'AddMatch'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ("type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',path='/org/freedesktop/DBus',arg0='org.freedesktop.PolicyKit1'",)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  aa 00 00 00  04 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  08 00 00 00    /DBus.....s.....
  0040: 41 64 64 4d  61 74 63 68  00 00 00 00  00 00 00 00    AddMatch........
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: a5 00 00 00  74 79 70 65  3d 27 73 69  67 6e 61 6c    ....type='signal
  00a0: 27 2c 73 65  6e 64 65 72  3d 27 6f 72  67 2e 66 72    ',sender='org.fr
  00b0: 65 65 64 65  73 6b 74 6f  70 2e 44 42  75 73 27 2c    eedesktop.DBus',
  00c0: 69 6e 74 65  72 66 61 63  65 3d 27 6f  72 67 2e 66    interface='org.f
  00d0: 72 65 65 64  65 73 6b 74  6f 70 2e 44  42 75 73 27    reedesktop.DBus'
  00e0: 2c 6d 65 6d  62 65 72 3d  27 4e 61 6d  65 4f 77 6e    ,member='NameOwn
  00f0: 65 72 43 68  61 6e 67 65  64 27 2c 70  61 74 68 3d    erChanged',path=
  0100: 27 2f 6f 72  67 2f 66 72  65 65 64 65  73 6b 74 6f    '/org/freedeskto
  0110: 70 2f 44 42  75 73 27 2c  61 72 67 30  3d 27 6f 72    p/DBus',arg0='or
  0120: 67 2e 66 72  65 65 64 65  73 6b 74 6f  70 2e 50 6f    g.freedesktop.Po
  0130: 6c 69 63 79  4b 69 74 31  27 00                       licyKit1'.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  3
  Headers:
    reply-serial -> uint32 2
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  03 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  02 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (188 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  5
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'StartServiceByName'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 'su'
  Body: ('org.freedesktop.PolicyKit1', uint32 0)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  24 00 00 00  05 00 00 00  85 00 00 00    l...$...........
  0010: 08 01 67 00  02 73 75 00  01 01 6f 00  15 00 00 00    ..g..su...o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  12 00 00 00    /DBus.....s.....
  0040: 53 74 61 72  74 53 65 72  76 69 63 65  42 79 4e 61    StartServiceByNa
  0050: 6d 65 00 00  00 00 00 00  02 01 73 00  14 00 00 00    me........s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  00 00 00 00  06 01 73 00  14 00 00 00    DBus......s.....
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 44 42 75 73  00 00 00 00  1a 00 00 00  6f 72 67 2e    DBus........org.
  00a0: 66 72 65 65  64 65 73 6b  74 6f 70 2e  50 6f 6c 69    freedesktop.Poli
  00b0: 63 79 4b 69  74 31 00 00  00 00 00 00                 cyKit1......

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  4
  Headers:
    reply-serial -> uint32 3
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  04 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  03 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (72 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  5
  Headers:
    reply-serial -> uint32 4
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  05 00 00 00  35 00 00 00    l...........5...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  04 00 00 00  07 01 73 00  14 00 00 00    ..u.......s.....
  0030: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0040: 44 42 75 73  00 00 00 00                              DBus....

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (84 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  6
  Headers:
    reply-serial -> uint32 5
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 'u'
  Body: (uint32 2,)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  04 00 00 00  06 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  05 00 00 00  08 01 67 00  01 75 00 00    ..u.......g..u..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 02 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.StartServiceByName() (serial 5)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.GetNameOwner()
      on object /org/freedesktop/DBus
      owned by name org.freedesktop.DBus (serial 6)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (175 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  6
  Headers:
    path -> objectpath '/org/freedesktop/DBus'
    interface -> 'org.freedesktop.DBus'
    member -> 'GetNameOwner'
    destination -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  1f 00 00 00  06 00 00 00  7d 00 00 00    l...........}...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  15 00 00 00    ..g..s....o.....
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 44 42 75  73 00 00 00  03 01 73 00  0c 00 00 00    /DBus.....s.....
  0040: 47 65 74 4e  61 6d 65 4f  77 6e 65 72  00 00 00 00    GetNameOwner....
  0050: 02 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0060: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0070: 06 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0080: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0090: 1a 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    ....org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 00       top.PolicyKit1.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (90 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  7
  Headers:
    reply-serial -> uint32 6
    destination -> ':1.93'
    sender -> 'org.freedesktop.DBus'
    signature -> signature 's'
  Body: (':1.12',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  0a 00 00 00  07 00 00 00  3d 00 00 00    l...........=...
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  06 00 00 00  08 01 67 00  01 73 00 00    ..u.......g..s..
  0030: 07 01 73 00  14 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  0040: 64 65 73 6b  74 6f 70 2e  44 42 75 73  00 00 00 00    desktop.DBus....
  0050: 05 00 00 00  3a 31 2e 31  32 00                       ....:1.12.

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.GetNameOwner() (serial 6)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.DBus.Properties.GetAll()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.12 (serial 7)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (185 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  7
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.DBus.Properties'
    member -> 'GetAll'
    destination -> ':1.12'
    signature -> signature 's'
  Body: ('org.freedesktop.PolicyKit1.Authority',)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  29 00 00 00  07 00 00 00  7e 00 00 00    l...).......~...
  0010: 08 01 67 00  01 73 00 00  01 01 6f 00  25 00 00 00    ..g..s....o.%...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 50 6f 6c  69 63 79 4b  69 74 31 2f  41 75 74 68    /PolicyKit1/Auth
  0040: 6f 72 69 74  79 00 00 00  03 01 73 00  06 00 00 00    ority.....s.....
  0050: 47 65 74 41  6c 6c 00 00  02 01 73 00  1f 00 00 00    GetAll....s.....
  0060: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0070: 44 42 75 73  2e 50 72 6f  70 65 72 74  69 65 73 00    DBus.Properties.
  0080: 06 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...
  0090: 24 00 00 00  6f 72 67 2e  66 72 65 65  64 65 73 6b    $...org.freedesk
  00a0: 74 6f 70 2e  50 6f 6c 69  63 79 4b 69  74 31 2e 41    top.PolicyKit1.A
  00b0: 75 74 68 6f  72 69 74 79  00                          uthority.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (180 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  309
  Headers:
    reply-serial -> uint32 7
    destination -> ':1.93'
    sender -> ':1.12'
    signature -> signature 'a{sv}'
  Body: ({'BackendName': <'local'>, 'BackendVersion': <'0.97'>, 'BackendFeatures': <uint32 1>},)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  6c 00 00 00  35 01 00 00  36 00 00 00    l...l...5...6...
  0010: 08 01 67 00  05 61 7b 73  76 7d 00 00  00 00 00 00    ..g..a{sv}......
  0020: 05 01 75 00  07 00 00 00  06 01 73 00  05 00 00 00    ..u.......s.....
  0030: 3a 31 2e 39  33 00 00 00  07 01 73 00  05 00 00 00    :1.93.....s.....
  0040: 3a 31 2e 31  32 00 00 00  64 00 00 00  00 00 00 00    :1.12...d.......
  0050: 0b 00 00 00  42 61 63 6b  65 6e 64 4e  61 6d 65 00    ....BackendName.
  0060: 01 73 00 00  05 00 00 00  6c 6f 63 61  6c 00 00 00    .s......local...
  0070: 0e 00 00 00  42 61 63 6b  65 6e 64 56  65 72 73 69    ....BackendVersi
  0080: 6f 6e 00 01  73 00 00 00  04 00 00 00  30 2e 39 37    on..s.......0.97
  0090: 00 00 00 00  00 00 00 00  0f 00 00 00  42 61 63 6b    ............Back
  00a0: 65 6e 64 46  65 61 74 75  72 65 73 00  01 75 00 00    endFeatures..u..
  00b0: 01 00 00 00                                           ....

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.DBus.Properties.GetAll() (serial 7)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> SYNC org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      on object /org/freedesktop/ConsoleKit/Manager
      owned by name org.freedesktop.ConsoleKit
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (204 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  8
  Headers:
    path -> objectpath '/org/freedesktop/ConsoleKit/Manager'
    interface -> 'org.freedesktop.ConsoleKit.Manager'
    member -> 'GetSessionForUnixProcess'
    destination -> 'org.freedesktop.ConsoleKit'
    signature -> signature 'u'
  Body: (uint32 3038,)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  04 00 00 00  08 00 00 00  b3 00 00 00    l...............
  0010: 08 01 67 00  01 75 00 00  01 01 6f 00  23 00 00 00    ..g..u....o.#...
  0020: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0030: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  4d 61 6e 61    /ConsoleKit/Mana
  0040: 67 65 72 00  00 00 00 00  03 01 73 00  18 00 00 00    ger.......s.....
  0050: 47 65 74 53  65 73 73 69  6f 6e 46 6f  72 55 6e 69    GetSessionForUni
  0060: 78 50 72 6f  63 65 73 73  00 00 00 00  00 00 00 00    xProcess........
  0070: 02 01 73 00  22 00 00 00  6f 72 67 2e  66 72 65 65    ..s."...org.free
  0080: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  0090: 69 74 2e 4d  61 6e 61 67  65 72 00 00  00 00 00 00    it.Manager......
  00a0: 06 01 73 00  1a 00 00 00  6f 72 67 2e  66 72 65 65    ..s.....org.free
  00b0: 64 65 73 6b  74 6f 70 2e  43 6f 6e 73  6f 6c 65 4b    desktop.ConsoleK
  00c0: 69 74 00 00  00 00 00 00  de 0b 00 00                 it..........

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (105 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  484
  Headers:
    reply-serial -> uint32 8
    destination -> ':1.93'
    sender -> ':1.27'
    signature -> signature 'o'
  Body: (objectpath '/org/freedesktop/ConsoleKit/Session2',)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  29 00 00 00  e4 01 00 00  2e 00 00 00    l...)...........
  0010: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0020: 05 01 75 00  08 00 00 00  08 01 67 00  01 6f 00 00    ..u.......g..o..
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 32  37 00 00 00    ..s.....:1.27...
  0040: 24 00 00 00  2f 6f 72 67  2f 66 72 65  65 64 65 73    $.../org/freedes
  0050: 6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f    ktop/ConsoleKit/
  0060: 53 65 73 73  69 6f 6e 32  00                          Session2.

========================================================================
GDBus-debug:Call:
 <<<< SYNC COMPLETE org.freedesktop.ConsoleKit.Manager.GetSessionForUnixProcess()
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.12 (serial 9)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (326 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  9
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'RegisterAuthenticationAgent'
    destination -> ':1.12'
    signature -> signature '(sa{sv})ss'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}), 'C', '/org/gnome/PolicyKit1/AuthenticationAgent')
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  8e 00 00 00  09 00 00 00  a6 00 00 00    l...............
  0010: 08 01 67 00  0a 28 73 61  7b 73 76 7d  29 73 73 00    ..g..(sa{sv})ss.
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  1b 00 00 00  52 65 67 69  73 74 65 72    ..s.....Register
  0060: 41 75 74 68  65 6e 74 69  63 61 74 69  6f 6e 41 67    AuthenticationAg
  0070: 65 6e 74 00  00 00 00 00  02 01 73 00  24 00 00 00    ent.......s.$...
  0080: 6f 72 67 2e  66 72 65 65  64 65 73 6b  74 6f 70 2e    org.freedesktop.
  0090: 50 6f 6c 69  63 79 4b 69  74 31 2e 41  75 74 68 6f    PolicyKit1.Autho
  00a0: 72 69 74 79  00 00 00 00  06 01 73 00  05 00 00 00    rity......s.....
  00b0: 3a 31 2e 31  32 00 00 00  0c 00 00 00  75 6e 69 78    :1.12.......unix
  00c0: 2d 73 65 73  73 69 6f 6e  00 00 00 00  3d 00 00 00    -session....=...
  00d0: 0a 00 00 00  73 65 73 73  69 6f 6e 2d  69 64 00 01    ....session-id..
  00e0: 73 00 00 00  24 00 00 00  2f 6f 72 67  2f 66 72 65    s...$.../org/fre
  00f0: 65 64 65 73  6b 74 6f 70  2f 43 6f 6e  73 6f 6c 65    edesktop/Console
  0100: 4b 69 74 2f  53 65 73 73  69 6f 6e 32  00 00 00 00    Kit/Session2....
  0110: 01 00 00 00  43 00 00 00  29 00 00 00  2f 6f 72 67    ....C...).../org
  0120: 2f 67 6e 6f  6d 65 2f 50  6f 6c 69 63  79 4b 69 74    /gnome/PolicyKit
  0130: 31 2f 41 75  74 68 65 6e  74 69 63 61  74 69 6f 6e    1/Authentication
  0140: 41 67 65 6e  74 00                                    Agent.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (64 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  313
  Headers:
    reply-serial -> uint32 9
    destination -> ':1.93'
    sender -> ':1.12'
    signature -> signature ''
  Body: ()
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  00 00 00 00  39 01 00 00  2e 00 00 00    l.......9.......
  0010: 08 01 67 00  00 00 00 00  05 01 75 00  09 00 00 00    ..g.......u.....
  0020: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0030: 07 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.RegisterAuthenticationAgent() (serial 9)
      SUCCESS
========================================================================
GDBus-debug:Call:
 >>>> ASYNC org.freedesktop.PolicyKit1.Authority.EnumerateTemporaryAuthorizations()
      on object /org/freedesktop/PolicyKit1/Authority
      owned by name :1.12 (serial 10)
========================================================================
GDBus-debug:Message:
  >>>> SENT D-Bus message (277 bytes)
  Type:    method-call
  Flags:   none
  Version: 0
  Serial:  10
  Headers:
    path -> objectpath '/org/freedesktop/PolicyKit1/Authority'
    interface -> 'org.freedesktop.PolicyKit1.Authority'
    member -> 'EnumerateTemporaryAuthorizations'
    destination -> ':1.12'
    signature -> signature '(sa{sv})'
  Body: (('unix-session', {'session-id': <'/org/freedesktop/ConsoleKit/Session2'>}),)
  UNIX File Descriptors:
    (none)
  0000: 6c 01 00 01  55 00 00 00  0a 00 00 00  ae 00 00 00    l...U...........
  0010: 08 01 67 00  08 28 73 61  7b 73 76 7d  29 00 00 00    ..g..(sa{sv})...
  0020: 01 01 6f 00  25 00 00 00  2f 6f 72 67  2f 66 72 65    ..o.%.../org/fre
  0030: 65 64 65 73  6b 74 6f 70  2f 50 6f 6c  69 63 79 4b    edesktop/PolicyK
  0040: 69 74 31 2f  41 75 74 68  6f 72 69 74  79 00 00 00    it1/Authority...
  0050: 03 01 73 00  20 00 00 00  45 6e 75 6d  65 72 61 74    ..s. ...Enumerat
  0060: 65 54 65 6d  70 6f 72 61  72 79 41 75  74 68 6f 72    eTemporaryAuthor
  0070: 69 7a 61 74  69 6f 6e 73  00 00 00 00  00 00 00 00    izations........
  0080: 02 01 73 00  24 00 00 00  6f 72 67 2e  66 72 65 65    ..s.$...org.free
  0090: 64 65 73 6b  74 6f 70 2e  50 6f 6c 69  63 79 4b 69    desktop.PolicyKi
  00a0: 74 31 2e 41  75 74 68 6f  72 69 74 79  00 00 00 00    t1.Authority....
  00b0: 06 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...
  00c0: 0c 00 00 00  75 6e 69 78  2d 73 65 73  73 69 6f 6e    ....unix-session
  00d0: 00 00 00 00  3d 00 00 00  0a 00 00 00  73 65 73 73    ....=.......sess
  00e0: 69 6f 6e 2d  69 64 00 01  73 00 00 00  24 00 00 00    ion-id..s...$...
  00f0: 2f 6f 72 67  2f 66 72 65  65 64 65 73  6b 74 6f 70    /org/freedesktop
  0100: 2f 43 6f 6e  73 6f 6c 65  4b 69 74 2f  53 65 73 73    /ConsoleKit/Sess
  0110: 69 6f 6e 32  00                                       ion2.

========================================================================
GDBus-debug:Message:
  <<<< RECEIVED D-Bus message (88 bytes)
  Type:    method-return
  Flags:   no-reply-expected
  Version: 0
  Serial:  316
  Headers:
    reply-serial -> uint32 10
    destination -> ':1.93'
    sender -> ':1.12'
    signature -> signature 'a(ss(sa{sv})tt)'
  Body: (@a(ss(sa{sv})tt) [],)
  UNIX File Descriptors:
    (none)
  0000: 6c 02 01 01  08 00 00 00  3c 01 00 00  3e 00 00 00    l.......<...>...
  0010: 08 01 67 00  0f 61 28 73  73 28 73 61  7b 73 76 7d    ..g..a(ss(sa{sv}
  0020: 29 74 74 29  00 00 00 00  05 01 75 00  0a 00 00 00    )tt)......u.....
  0030: 06 01 73 00  05 00 00 00  3a 31 2e 39  33 00 00 00    ..s.....:1.93...
  0040: 07 01 73 00  05 00 00 00  3a 31 2e 31  32 00 00 00    ..s.....:1.12...
  0050: 00 00 00 00  00 00 00 00                              ........

========================================================================
GDBus-debug:Call:
 <<<< ASYNC COMPLETE org.freedesktop.PolicyKit1.Authority.EnumerateTemporaryAuthorizations() (serial 10)
      SUCCESS

But there is still no reboot button in the gnome menu
Comment 18 Nicolas Mailhot 2010-08-13 01:54:21 EDT
BTW abrt found this new root crash during testing:

[New Thread 2001]
[New Thread 2121]
[New Thread 2002]
Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003de244c500 in ?? ()

Thread 3 (Thread 2002):
#0  0x00000033e08d8213 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = 18446744073709551100
        oldtype = 0
        result = <value optimized out>
#1  0x0000003ddbc3ece4 in g_main_context_poll (context=0xb7a980, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3063
        poll_func = 0x3ddbc4ec70 <g_poll>
#2  g_main_context_iterate (context=0xb7a980, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2745
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 1
        allocated_nfds = <value optimized out>
        fds = 0x7f5684001150
#3  0x0000003ddbc3f5f2 in g_main_loop_run (loop=0xba0050) at gmain.c:2958
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x0000003ddccaa154 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x0000003ddbc65fe6 in g_thread_create_proxy (data=0xb9e200) at gthread.c:1897
        thread = 0xb9e200
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00000033e1006d5b in start_thread (arg=0x7f5689d5b710) at pthread_create.c:301
        pd = 0x7f5689d5b710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140009656399632, 1621619025131079778, 140737396928896, 140009656400336, 0, 3, -1716937699890034590, 1650261304540530786}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00000033e08e1bcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 2121):
#0  0x00000033e08d8213 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        resultvar = 18446744073709551100
        oldtype = 0
        result = <value optimized out>
#1  0x00007f567e88cc0f in poll_func (ufds=0x7f566c001460, nfds=2, timeout=-1, userdata=0xea0150) at pulse/thread-mainloop.c:75
        mutex = 0xea0150
        r = 1811944544
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x00007f567e87cae6 in pa_mainloop_poll (m=0xea0050) at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x00007f567e87dec9 in pa_mainloop_iterate (m=0xea0050, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x00007f567e87df80 in pa_mainloop_run (m=0xea0050, retval=0x0) at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x00007f567e88ca0b in thread (userdata=0xd08760) at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
#6  0x00000033f2038878 in internal_thread_func (userdata=0xea0360) at pulsecore/thread-posix.c:72
        t = 0xea0360
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x00000033e1006d5b in start_thread (arg=0x7f567f6bd710) at pthread_create.c:301
        pd = 0x7f567f6bd710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140009481688848, 1621619025131079778, 222818276608, 140009481689552, 0, 3, -1716474819453384606, 1650261304540530786}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x00000033e08e1bcd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 2001):
#0  0x0000003de244c500 in ?? ()
No symbol table info available.
#1  0x00000033e0837861 in __run_exit_handlers (status=0) at exit.c:78
        atfct = <value optimized out>
        onfct = <value optimized out>
        cxafct = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x00000033e081ed04 in __libc_start_main (main=0x427210 <main>, argc=1, ubp_av=0x7ffffa8cf4e8, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7ffffa8cf4d8) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1621619025131079778, 4340688, 140737396929760, 0, 0, -1621629084283697054, 1650258010247006306}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x4787b0, 0x7ffffa8cf4e8}, data = {prev = 0x0, cleanup = 0x0, canceltype = 4687792}}}
        not_first_call = <value optimized out>
#4  0x0000000000423bf9 in _start ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x00000033ec0019f0  0x00000033ec0062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x00000033ebc04d70  0x00000033ebc13778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003de200bc20  0x0000003de201fb78  Yes         /usr/lib64/libgnome-desktop-2.so.17.1.1
0x0000003ddf411c30  0x0000003ddf42dee8  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x0000003ddfc035a0  0x0000003ddfc0d4a8  Yes         /usr/lib64/libgnome-menu.so.2.4.6
0x0000003de0c01c70  0x0000003de0c030b8  Yes         /usr/lib64/libcanberra-gtk.so.0.1.6
0x00000033f5803280  0x00000033f580c338  Yes         /usr/lib64/libcanberra.so.0.2.4
0x0000003dde8687b0  0x0000003ddeb0f258  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2105.0
0x0000003dde01dd00  0x0000003dde080c98  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2105.0
0x0000003ddd4096b0  0x0000003ddd4151d8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x0000003ddcc253b0  0x0000003ddccc7a88  Yes         /lib64/libgio-2.0.so.0.2513.0
0x0000003ddd005960  0x0000003ddd019858  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2106.0
0x00000033e780b7a0  0x00000033e7887b38  Yes         /usr/lib64/libcairo.so.2.10914.0
0x0000003ddd80ee20  0x0000003ddd82d538  Yes         /usr/lib64/libpango-1.0.so.0.2800.1
0x0000003ddc800fe0  0x0000003ddc801f48  Yes         /lib64/libgmodule-2.0.so.0.2513.0
0x0000003ddf009040  0x0000003ddf019788  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x0000003ddc409710  0x0000003ddc43af18  Yes         /lib64/libgobject-2.0.so.0.2513.0
0x0000003ddbc15ac0  0x0000003ddbc9fe68  Yes         /lib64/libglib-2.0.so.0.2513.0
0x00000033e1005680  0x00000033e1011048  Yes         /lib64/libpthread-2.12.90.so
0x00000033e0c03ef0  0x00000033e0c439a8  Yes         /lib64/libm-2.12.90.so
0x00000033e3c1df20  0x00000033e3cabef8  Yes         /usr/lib64/libX11.so.6.3.0
0x00000033e6401720  0x00000033e6406828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x00000033e081e9e0  0x00000033e0943b50  Yes         /lib64/libc-2.12.90.so
0x00000033eac014a0  0x00000033eac02b98  Yes         /lib64/libuuid.so.1.3.0
0x0000003dddc07410  0x0000003dddc229c8  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.1
0x0000003dde404980  0x0000003dde4094a8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.1
0x00000033e5804830  0x00000033e581e7a8  Yes         /usr/lib64/libpng12.so.0.44.0
0x00000033e540c730  0x00000033e546e238  Yes         /usr/lib64/libfreetype.so.6.6.0
0x00000033e5c05da0  0x00000033e5c20048  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003ddc001560  0x0000003ddc002a38  Yes         /lib64/libgthread-2.0.so.0.2513.0
0x00000033e1c02190  0x00000033e1c057c8  Yes         /lib64/librt-2.12.90.so
0x00000033f6403120  0x00000033f6406a98  Yes         /usr/lib64/libstartup-notification-1.so.0.0.0
0x0000003ddf827990  0x0000003ddf84b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x00000033e8007690  0x00000033e8030cc8  Yes         /lib64/libdbus-1.so.3.5.1
0x00000033f5001fa0  0x00000033f5005f88  Yes         /usr/lib64/libvorbisfile.so.3.3.2
0x00000033f3003700  0x00000033f301a158  Yes         /usr/lib64/libvorbis.so.0.4.4
0x00000033f2c018a0  0x00000033f2c03bb8  Yes         /usr/lib64/libogg.so.0.7.0
0x00000033f4c01e30  0x00000033f4c09ca8  Yes         /usr/lib64/libtdb.so.1.2.1
0x00007f56908e7360  0x00007f56908eb748  Yes         /usr/lib64/libltdl.so.7.2.2
0x00000033e9401370  0x00000033e9404188  Yes         /usr/lib64/libXfixes.so.3.1.0
0x00000033e4803530  0x00000033e480e648  Yes         /usr/lib64/libXext.so.6.4.0
0x00000033e60018c0  0x00000033e6007f48  Yes         /usr/lib64/libXrender.so.1.3.0
0x00000033e6800a20  0x00000033e6801508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x00000033e6c01ee0  0x00000033e6c0c9e8  Yes         /usr/lib64/libXi.so.6.1.0
0x00000033e9802880  0x00000033e9807688  Yes         /usr/lib64/libXcursor.so.1.0.2
0x00000033e8800b40  0x00000033e8801918  Yes         /usr/lib64/libXcomposite.so.1.0.0
0x00000033e7400a90  0x00000033e7401648  Yes         /usr/lib64/libXdamage.so.1.1.0
0x00000033e1400de0  0x00000033e1401988  Yes         /lib64/libdl-2.12.90.so
0x00000033e34038c0  0x00000033e34134c8  Yes         /lib64/libresolv-2.12.90.so
0x00000033e1801e70  0x00000033e180e678  Yes         /lib64/libz.so.1.2.5
0x00000033e2805640  0x00000033e28157b8  Yes         /lib64/libselinux.so.1
0x00000033e7007230  0x00000033e7051e78  Yes         /usr/lib64/libpixman-1.so.0.18.0
0x00000033e0400b20  0x00000033e0418bf4  Yes         /lib64/ld-2.12.90.so
0x00000033e4008650  0x00000033e4013908  Yes         /usr/lib64/libxcb.so.1.1.0
0x00007f56906cc8f0  0x00007f56906dc2b8  Yes         /lib64/libgcc_s-4.5.1-20100812.so.1
0x00000033e5003b70  0x00000033e501ca08  Yes         /lib64/libexpat.so.1.5.2
0x00000033f6801160  0x00000033f6801b28  Yes         /usr/lib64/libxcb-aux.so.0.0.0
0x00000033f6c018e0  0x00000033f6c01c78  Yes         /usr/lib64/libxcb-event.so.1.0.0
0x00000033f5401690  0x00000033f5401d38  Yes         /usr/lib64/libxcb-atom.so.1.0.0
0x00000033e3800dd0  0x00000033e3801b68  Yes         /usr/lib64/libXau.so.6.0.0
0x00007f56904b80d0  0x00007f56904bf3e8  Yes         /lib64/libnss_files-2.12.90.so
0x00007f568a3d3bc0  0x00007f568a3f5818  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f568a187d00  0x00007f568a1bafc8  Yes         /usr/lib64/gtk-2.0/modules/libgail.so
0x0000003de14029a0  0x0000003de1406128  Yes         /usr/lib64/libgailutil.so.18.0.1
0x00007f5689f75690  0x00007f5689f75e88  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007f5689d6ffc0  0x00007f5689d721a8  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00007f56885a1aa0  0x00007f56885baed8  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f5688375190  0x00007f568837f458  Yes         /usr/lib64/libgvfscommon.so.0.0.0
0x00000033f4802a20  0x00000033f480a188  Yes         /lib64/libudev.so.0.9.0
0x00000033f1c00e10  0x00000033f1c01788  Yes         /lib64/libutil-2.12.90.so
0x00007f567ecacc00  0x00007f567ecb9178  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f567eaa4050  0x00007f567eaa6fc8  Yes         /usr/lib64/libcanberra-0.25/libcanberra-pulse.so
0x00007f567e86ae50  0x00007f567e892398  Yes         /usr/lib64/libpulse.so.0.12.2
0x00000033f200f460  0x00000033f203a758  Yes         /usr/lib64/libpulsecommon-0.9.21.so
0x00000033ed0013b0  0x00000033ed0043b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x00000033f1802ee0  0x00000033f1806a88  Yes         /lib64/libwrap.so.0.7.6
0x00000033f0405ec0  0x00000033f0448928  Yes         /usr/lib64/libsndfile.so.1.0.21
0x00000033efc011c0  0x00000033efc037e8  Yes         /usr/lib64/libasyncns.so.0.3.1
0x00007f567e64a040  0x00007f567e657e08  Yes         /lib64/libnsl-2.12.90.so
0x00000033edc0be70  0x00000033edc30e08  Yes         /usr/lib64/libFLAC.so.8.2.0
0x00000033ee0139c0  0x00000033ee015db8  Yes         /usr/lib64/libvorbisenc.so.2.0.7
0x00007ffffa946600  0x00007ffffa9469a0  Yes         /lib/modules/2.6.35.1-5.rc1.fc14.x86_64/vdso/vdso.so
$1 = 0x0
$2 = 0x0
rax            0x3de244c500	265789162752
rbx            0x33e0b985a0	222813586848
rcx            0x33e0b985f0	222813586928
rdx            0x33e0b985e0	222813586912
rsi            0x0	0
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7ffffa8cf3e8	0x7ffffa8cf3e8
r8             0x33	51
r9             0x2c	44
r10            0x0	0
r11            0x1	1
r12            0x423bd0	4340688
r13            0x7ffffa8cf4e0	140737396929760
r14            0x0	0
r15            0x0	0
rip            0x3de244c500	0x3de244c500
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.

If have no idea why the trace is not better than that, all needed debuginfo are installed in the correct version

atk-debuginfo-1.30.0-5.fc14.x86_64
cairo-debuginfo-1.9.14-1.fc14.x86_64
dbus-debuginfo-1.3.2-0.1.885483.fc14.x86_64
dbus-glib-debuginfo-0.86-4.fc14.x86_64
expat-debuginfo-2.0.1-10.fc13.x86_64
flac-debuginfo-1.2.1-6.fc12.x86_64
fontconfig-debuginfo-2.8.0-2.20100801git.f14.x86_64
freetype-debuginfo-2.4.2-2.fc14.x86_64
gcc-debuginfo-4.5.1-1.fc14.x86_64
GConf2-debuginfo-2.31.7-1.fc14.x86_64
gdk-pixbuf2-debuginfo-2.21.6-3.fc14.x86_64
glib2-debuginfo-2.25.13-2.fc14.x86_64
glibc-debuginfo-2.12.90-7.x86_64
gnome-desktop-debuginfo-2.31.6-1.fc14.x86_64
gnome-menus-debuginfo-2.30.0-3.fc14.x86_64
gnome-panel-debuginfo-2.31.6-1.fc14.x86_64
gtk2-debuginfo-2.21.5-2.fc14.x86_64
gtk2-engines-debuginfo-2.20.1-2.fc14.x86_64
gvfs-debuginfo-1.6.3-1.fc14.x86_64
kernel-debuginfo-2.6.35.1-5.rc1.fc14.x86_64
kernel-debuginfo-common-x86_64-2.6.35.1-5.rc1.fc14.x86_64
libasyncns-debuginfo-0.8-1.fc13.x86_64
libcanberra-debuginfo-0.25-2.fc14.x86_64
libICE-debuginfo-1.0.6-2.fc13.x86_64
libogg-debuginfo-1.2.0-1.fc14.x86_64
libpng-debuginfo-1.2.44-1.fc14.x86_64
libselinux-debuginfo-2.0.96-3.fc14.x86_64
libSM-debuginfo-1.1.0-7.fc12.x86_64
libsndfile-debuginfo-1.0.21-1.fc14.x86_64
libtdb-debuginfo-1.2.1-3.fc14.x86_64
libtool-debuginfo-2.2.10-3.fc14.x86_64
libvorbis-debuginfo-1.3.1-2.fc14.x86_64
libX11-debuginfo-1.3.4-3.fc14.x86_64
libXau-debuginfo-1.0.6-1.fc14.x86_64
libxcb-debuginfo-1.5-3.fc14.x86_64
libXcomposite-debuginfo-0.4.2-1.fc14.x86_64
libXcursor-debuginfo-1.1.10-5.fc14.x86_64
libXdamage-debuginfo-1.1.3-1.fc14.x86_64
libXext-debuginfo-1.1.2-1.fc14.x86_64
libXfixes-debuginfo-4.0.5-1.fc14.x86_64
libXi-debuginfo-1.3.2-1.fc14.x86_64
libXinerama-debuginfo-1.1-2.fc13.x86_64
libXrandr-debuginfo-1.3.0-5.fc13.x86_64
libXrender-debuginfo-0.9.6-1.fc14.x86_64
libXtst-debuginfo-1.0.99.2-3.fc12.x86_64
ORBit2-debuginfo-2.14.18-1.fc14.x86_64
PackageKit-debuginfo-0.6.6-3.fc14.x86_64
pango-debuginfo-1.28.1-4.fc14.x86_64
pixman-debuginfo-0.18.0-1.fc14.x86_64
pulseaudio-debuginfo-0.9.21-6.fc13.x86_64
startup-notification-debuginfo-0.10-4.fc13.x86_64
tcp_wrappers-debuginfo-7.6-59.fc14.x86_64
udev-debuginfo-160-9.fc14.x86_64
util-linux-ng-debuginfo-2.18-3.fc14.x86_64
xcb-util-debuginfo-0.3.6-1.fc12.x86_64
zlib-debuginfo-1.2.5-2.fc14.x86_64

With all the gdb/gcc churn in F14 lately it's difficult to say what broke

The system survived 9h of memtest86+ yesterday so I doubt it's a hardware problem (and the crashes started after F14 branching)
Comment 19 Tom London 2010-08-13 09:19:41 EDT
(In reply to comment #18)
> BTW abrt found this new root crash during testing:
> 
> [New Thread 2001]
> [New Thread 2121]
> [New Thread 2002]
> Core was generated by `gnome-panel'.
> Program terminated with signal 11, Segmentation fault.
> #0  0x0000003de244c500 in ?? ()
> 

> Thread 1 (Thread 2001):
> #0  0x0000003de244c500 in ?? ()
> No symbol table info available.
> #1  0x00000033e0837861 in __run_exit_handlers (status=0) at exit.c:78
>         atfct = <value optimized out>
>         onfct = <value optimized out>
>         cxafct = <value optimized out>
> #2  exit (status=0) at exit.c:100
> No locals.
> #3  0x00000033e081ed04 in __libc_start_main (main=0x427210 <main>, argc=1,
> ubp_av=0x7ffffa8cf4e8, init=<value optimized out>, fini=<value optimized out>,
> rtld_fini=<value optimized out>, stack_end=0x7ffffa8cf4d8) at libc-start.c:258
>         result = <value optimized out>
>         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1621619025131079778,
> 4340688, 140737396929760, 0, 0, -1621629084283697054, 1650258010247006306},
> mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x4787b0, 0x7ffffa8cf4e8}, data
> = {prev = 0x0, cleanup = 0x0, canceltype = 4687792}}}
>         not_first_call = <value optimized out>
> #4  0x0000000000423bf9 in _start ()

> 
> With all the gdb/gcc churn in F14 lately it's difficult to say what broke
> 
> The system survived 9h of memtest86+ yesterday so I doubt it's a hardware
> problem (and the crashes started after F14 branching)    

Could this (gnome-panel crash) be the same as https://bugzilla.redhat.com/show_bug.cgi?id=598579 ?
Comment 20 David Zeuthen 2010-08-13 09:41:44 EDT
Looks like this is an upower problem (possible caused by the polkit upgrade). From what I can tell from comment 16, polkit and polkit-gnome seems to work just fine. Anyway, it would be good to establish that polkit is working without relying on upower being bugfree - this can easily be done by running

 $ pkexec bash

from a gnome-terminal inside a login session. An authentication dialog should appear and if you authenticate successfully you should get a root shell. Please try that with the latest polkit packages (polkit-0.97-1 and polkit-gnome-0.97-4). Thanks.

(Btw, in the future, please use attachments for big debug logs such as G_DBUS_DEBUG=all etc. Thanks.)

Comment 11:
> In fact, I appear to have 2 of them running:
> 
> [tbl@tlondon ~]$ ps agx | grep polkit
>  1235 ?        Sl     0:00 /usr/libexec/polkit-1/polkitd
>  1711 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
>  1927 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
>  2301 pts/0    S+     0:00 grep --color=auto polkit

This is expected, one is owned by gdm, the other by your session (try 'ps aux').
Comment 21 Nicolas Mailhot 2010-08-13 09:52:17 EDT
(In reply to comment #19)

> Could this (gnome-panel crash) be the same as
> https://bugzilla.redhat.com/show_bug.cgi?id=598579 ?    

Probably, I mentioned it here since it seems to have been generated at about the time I tried the reboot button in gdm.

It's hard to say as abrt does not want to submit the trace, even though it has been fed all the necessary debuginfo packages (no missing dso debuginfo in this trace)
Comment 22 David Zeuthen 2010-08-13 10:41:19 EDT
Still NEEDINFO for whether 'pkexec bash' works as requested in comment 20. Thanks.

Also, talking to mclasen earlier this morning, he said that polkit-using apps are more crash-prone because of the fact that I added a ton of param checks in 0.97 (eab94aa83209559b2c3f48490778177f1f3b6f97 and 07186ab99e66aba27a10b43f834d04fbdee302ca) - the problem with upower was that it passed a GError that wasn't cleared.
Comment 23 Tom London 2010-08-13 10:51:09 EDT
(In reply to comment #20)
> Looks like this is an upower problem (possible caused by the polkit upgrade).
> From what I can tell from comment 16, polkit and polkit-gnome seems to work
> just fine. Anyway, it would be good to establish that polkit is working without
> relying on upower being bugfree - this can easily be done by running
> 
>  $ pkexec bash
> 
> from a gnome-terminal inside a login session. An authentication dialog should
> appear and if you authenticate successfully you should get a root shell. Please
> try that with the latest polkit packages (polkit-0.97-1 and
> polkit-gnome-0.97-4). Thanks.
> 
> (Btw, in the future, please use attachments for big debug logs such as
> G_DBUS_DEBUG=all etc. Thanks.)
> 
> Comment 11:
> > In fact, I appear to have 2 of them running:
> > 
> > [tbl@tlondon ~]$ ps agx | grep polkit
> >  1235 ?        Sl     0:00 /usr/libexec/polkit-1/polkitd
> >  1711 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
> >  1927 ?        Sl     0:00 /usr/libexec/polkit-gnome-authentication-agent-1
> >  2301 pts/0    S+     0:00 grep --color=auto polkit
> 
> This is expected, one is owned by gdm, the other by your session (try 'ps
> aux').    

OK:  I updated all packages again:

[root@tlondon ~]# rpm -qa polkit\* upower
upower-0.9.5-5.fc14.x86_64
polkit-desktop-policy-0.97-2.fc15.noarch
polkit-gnome-0.97-4.fc15.x86_64
polkit-debuginfo-0.97-2.fc15.x86_64
polkit-gnome-debuginfo-0.97-4.fc15.x86_64
polkit-0.97-2.fc15.x86_64
[root@tlondon ~]#

and rebooted.

After logging in, I ran 'pkexec bash' from a terminal window:

[tbl@tlondon ~]$ pkexec bash
[root@tlondon ~]# 
[root@tlondon ~]# exit
exit
[tbl@tlondon ~]$ 

[took me a few tries entering password.... it wanted my user's password, not the root password.]

From above, polkit-0.97 is working properly?

As reported above, in this state I get no "Shutdown" in System menu, external disks/devices no longer mount, and virt-manager no longer 'connects' to libvirtd.  All this related to upower?
Comment 24 David Zeuthen 2010-08-13 11:27:06 EDT
(In reply to comment #23)
> From above, polkit-0.97 is working properly?

Yes.

> As reported above, in this state I get no "Shutdown" in System menu, 

That's a gnome-panel or upower bug. I don't know.

> external
> disks/devices no longer mount, 

That's a udisks or gnome-disk-utility or nautilus bug or something else - FWIW, it works fine for me.

> and virt-manager no longer 'connects' to
> libvirtd.  

Should be fixed by this commit

 http://cgit.freedesktop.org/PolicyKit/commit/?id=17f0600529dc926ae4a0c85dc56c393cc09e4011

since polkit 0.97 broke some guarantees in pkcheck(1) that libvirtd relied on. This patch is in polkit-0.97-2.fc14 - please try

 http://koji.fedoraproject.org/koji/taskinfo?taskID=2399804

> All this related to upower?    

No. These are all bugs in different users of polkit. As I said in comment 22 polkit is now more stringent so applications using polkit incorrectly, are now failing.
Comment 25 David Zeuthen 2010-08-13 11:36:13 EDT
(In reply to comment #24)
> (In reply to comment #23)
> > From above, polkit-0.97 is working properly?
> 
> Yes.
> 
> > As reported above, in this state I get no "Shutdown" in System menu, 
> 
> That's a gnome-panel or upower bug. I don't know.

Reassigning to gnome-panel now that we've concluded this isn't really a polkit bug. I'm also restoring the bug summary to what it was before I got involved.
Comment 26 Tom London 2010-08-13 12:08:10 EDT
(In reply to comment #24)
> (In reply to comment #23)
> > From above, polkit-0.97 is working properly?
> 
> Yes.
> 
> > As reported above, in this state I get no "Shutdown" in System menu, 
> 
> That's a gnome-panel or upower bug. I don't know.
> 
> > external
> > disks/devices no longer mount, 
> 
> That's a udisks or gnome-disk-utility or nautilus bug or something else - FWIW,
> it works fine for me.
> 
> > and virt-manager no longer 'connects' to
> > libvirtd.  
> 
> Should be fixed by this commit
> 
> 
> http://cgit.freedesktop.org/PolicyKit/commit/?id=17f0600529dc926ae4a0c85dc56c393cc09e4011
> 
> since polkit 0.97 broke some guarantees in pkcheck(1) that libvirtd relied on.
> This patch is in polkit-0.97-2.fc14 - please try
> 
>  http://koji.fedoraproject.org/koji/taskinfo?taskID=2399804
> 
> > All this related to upower?    
> 
> No. These are all bugs in different users of polkit. As I said in comment 22
> polkit is now more stringent so applications using polkit incorrectly, are now
> failing.    

I updated to polkit-0.97-3.fc15.x86_64 (sorry, I mistakenly grabbed the fc15 package), but virt-manager still fails to auth/connect:

Unable to open connection to hypervisor URI 'qemu:///system':
authentication failed
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/connection.py", line 971, in _try_open
    None], flags)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 111, in openAuth
    if ret is None:raise libvirtError('virConnectOpenAuth() failed')
libvirtError: authentication failed

See this in /var/log/messages:

Aug 13 09:04:43 tlondon libvirtd: 09:04:43.952: error : remoteDispatchAuthPolkit:3827 : Policy kit denied action org.libvirt.unix.manage from pid 2767, uid 500, result: 256
Comment 27 Fedora Update System 2010-08-13 13:28:35 EDT
polkit-0.97-3.fc14,polkit-gnome-0.97-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/polkit-0.97-3.fc14,polkit-gnome-0.97-4.fc14
Comment 28 Nicolas Mailhot 2010-08-13 14:26:24 EDT
(In reply to comment #24)
> (In reply to comment #23)

> > As reported above, in this state I get no "Shutdown" in System menu, 
> 
> That's a gnome-panel or upower bug. I don't know.
>

With the latest F14 changes, I finally got abrt to generate a good trace, it's upower indeed in bug #624125

Should this one be closed dubplicate?
Comment 29 Fedora Update System 2010-08-18 17:17:31 EDT
polkit-0.97-5.fc14,polkit-gnome-0.97-4.fc14,glib2-2.25.14-2.fc14,upower-0.9.5-7.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/polkit-0.97-5.fc14,polkit-gnome-0.97-4.fc14,glib2-2.25.14-2.fc14,upower-0.9.5-7.fc14
Comment 30 Vaclav "sHINOBI" Misek 2010-08-18 18:12:20 EDT
The above mentioned updates fixed the problem for me.
Comment 31 Tom London 2010-08-18 18:14:13 EDT
Me too!

Thanks for the fixes!
Comment 32 Fedora Update System 2010-08-18 19:41:50 EDT
polkit-0.97-5.fc14, polkit-gnome-0.97-4.fc14, glib2-2.25.14-2.fc14, upower-0.9.5-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update polkit polkit-gnome glib2 upower'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/polkit-0.97-5.fc14,polkit-gnome-0.97-4.fc14,glib2-2.25.14-2.fc14,upower-0.9.5-7.fc14
Comment 33 Fedora Update System 2010-08-23 21:26:57 EDT
polkit-0.97-5.fc14, polkit-gnome-0.97-4.fc14, glib2-2.25.14-2.fc14, upower-0.9.5-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.